﻿// ConvertInfo : FairlyWrites 7.4.6.2 - 2015/11/05 20:08:06
{
  var objTOC = new TocObject();
  objTOC.setTitle("3DS Programming Manual:<br />Basic Graphics");
  objTOC.setWindowTitle("3DS Programming Manual: Basic Graphics");
  objTOC.disablePrintPage();
  objTOC.setInsertTitlePage(true);
  objTOC.disableDisplayNumber();
  objTOC.disableViewFileIcon();
  objTOC.setBaselevel(0);
  objTOC.setSearchEnabled(true);
  objTOC.setLogoFile("template/img/logo.png");

// 1. Introduction
  objTOC.addHeader("ID_55588594", 0, "1. Introduction", "Pages/Page_55588594.html", "");

// 1.1. Document Structure
  objTOC.addItem("ID_55588594", 1, "1.1. Document Structure", "Pages/Page_55588594.html", "PageId_55588595");

// 1.2. Graphics Processing Errors
  objTOC.addItem("ID_55588594", 1, "1.2. Graphics Processing Errors", "Pages/Page_55588594.html", "PageId_55588596");

// 1.3. Single-Threaded Model
  objTOC.addItem("ID_55588594", 1, "1.3. Single-Threaded Model", "Pages/Page_55588594.html", "PageId_55588597");

// 2. GPU
  objTOC.addHeader("ID_55588598", 0, "2. GPU", "Pages/Page_55588598.html", "");

// 2.1. Built-In Hardware Features
  objTOC.addItem("ID_55588598", 1, "2.1. Built-In Hardware Features", "Pages/Page_55588598.html", "PageId_55588599");

// 2.1.1. Silhouette Generation
  objTOC.addItem("ID_55588598", 2, "2.1.1. Silhouette Generation", "Pages/Page_55588598.html", "PageId_55588600");

// 2.1.2. Particle Generation
  objTOC.addItem("ID_55588598", 2, "2.1.2. Particle Generation", "Pages/Page_55588598.html", "PageId_55588601");

// 2.1.3. Procedural Textures
  objTOC.addItem("ID_55588598", 2, "2.1.3. Procedural Textures", "Pages/Page_55588598.html", "PageId_55588602");

// 2.1.4. Fragment Lighting
  objTOC.addItem("ID_55588598", 2, "2.1.4. Fragment Lighting", "Pages/Page_55588598.html", "PageId_55588603");

// 2.1.5. Gas Rendering
  objTOC.addItem("ID_55588598", 2, "2.1.5. Gas Rendering", "Pages/Page_55588598.html", "PageId_55588604");

// 2.1.6. Self-Shadowing and Soft Shadows
  objTOC.addItem("ID_55588598", 2, "2.1.6. Self-Shadowing and Soft Shadows", "Pages/Page_55588598.html", "PageId_55588605");

// 2.1.7. Polygon Subdivision
  objTOC.addItem("ID_55588598", 2, "2.1.7. Polygon Subdivision", "Pages/Page_55588598.html", "PageId_55588606");

// 2.2. Rendering Pipeline
  objTOC.addItem("ID_55588598", 1, "2.2. Rendering Pipeline", "Pages/Page_55588598.html", "PageId_55588607");

// 3. LCD
  objTOC.addHeader("ID_55588608", 0, "3. LCD", "Pages/Page_55588608.html", "");

// 3.1. LCD Resolution, Placement, and Orientation
  objTOC.addItem("ID_55588608", 1, "3.1. LCD Resolution, Placement, and Orientation", "Pages/Page_55588608.html", "PageId_55588609");

// 3.2. Required Initialization Process
  objTOC.addItem("ID_55588608", 1, "3.2. Required Initialization Process", "Pages/Page_55588608.html", "PageId_55588610");

// 3.2.1. Initializing the GX Library
  objTOC.addItem("ID_55588608", 2, "3.2.1. Initializing the GX Library", "Pages/Page_55588608.html", "PageId_55588611");

// 3.2.1.1. Allocator
  objTOC.addItem("ID_55588608", 3, "3.2.1.1. Allocator", "Pages/Page_55588608.html", "PageId_55588612");

// 3.2.1.2. Deallocator
  objTOC.addItem("ID_55588608", 3, "3.2.1.2. Deallocator", "Pages/Page_55588608.html", "PageId_55588613");

// 3.2.1.3. Getting an Allocator
  objTOC.addItem("ID_55588608", 3, "3.2.1.3. Getting an Allocator", "Pages/Page_55588608.html", "PageId_55588614");

// 3.2.1.4. Getting an Initialization Register Setting Command
  objTOC.addItem("ID_55588608", 3, "3.2.1.4. Getting an Initialization Register Setting Command", "Pages/Page_55588608.html", "PageId_55588615");

// 3.2.2. Creating a Command-List Object
  objTOC.addItem("ID_55588608", 2, "3.2.2. Creating a Command-List Object", "Pages/Page_55588608.html", "PageId_55588616");

// 3.3. Allocating Buffers
  objTOC.addItem("ID_55588608", 1, "3.3. Allocating Buffers", "Pages/Page_55588608.html", "PageId_55588618");

// 3.3.1. Allocating Render Buffers
  objTOC.addItem("ID_55588608", 2, "3.3.1. Allocating Render Buffers", "Pages/Page_55588608.html", "PageId_55588619");

// 3.3.2. Allocating Display Buffers
  objTOC.addItem("ID_55588608", 2, "3.3.2. Allocating Display Buffers", "Pages/Page_55588608.html", "PageId_55588620");

// 3.3.2.1. Getting Parameters
  objTOC.addItem("ID_55588608", 3, "3.3.2.1. Getting Parameters", "Pages/Page_55588608.html", "PageId_55588621");

// 3.4. Copying From the Color Buffer to the Display Buffer
  objTOC.addItem("ID_55588608", 1, "3.4. Copying From the Color Buffer to the Display Buffer", "Pages/Page_55588608.html", "PageId_55588622");

// 3.5. Updating the LCD Render Regions by Swapping Buffers
  objTOC.addItem("ID_55588608", 1, "3.5. Updating the LCD Render Regions by Swapping Buffers", "Pages/Page_55588608.html", "PageId_55588623");

// 3.5.1. Swapping Buffers for a Specified Address
  objTOC.addItem("ID_55588608", 2, "3.5.1. Swapping Buffers for a Specified Address", "Pages/Page_55588608.html", "PageId_55588624");

// 3.5.2. Details of Swapping Buffers
  objTOC.addItem("ID_55588608", 2, "3.5.2. Details of Swapping Buffers", "Pages/Page_55588608.html", "PageId_55588625");

// 3.6. Screen Update Synchronization
  objTOC.addItem("ID_55588608", 1, "3.6. Screen Update Synchronization", "Pages/Page_55588608.html", "PageId_55588626");

// 3.7. Finalizing
  objTOC.addItem("ID_55588608", 1, "3.7. Finalizing", "Pages/Page_55588608.html", "PageId_55588627");

// 3.8. Specifying Display Portions
  objTOC.addItem("ID_55588608", 1, "3.8. Specifying Display Portions", "Pages/Page_55588608.html", "PageId_97617231");

// 4. Command Lists
  objTOC.addHeader("ID_55588628", 0, "4. Command Lists", "Pages/Page_55588628.html", "");

// 4.1. How to Use
  objTOC.addItem("ID_55588628", 1, "4.1. How to Use", "Pages/Page_55588628.html", "PageId_55588629");

// 4.1.1. Creating Objects
  objTOC.addItem("ID_55588628", 2, "4.1.1. Creating Objects", "Pages/Page_55588628.html", "PageId_55588630");

// 4.1.2. Binding Command Lists
  objTOC.addItem("ID_55588628", 2, "4.1.2. Binding Command Lists", "Pages/Page_55588628.html", "PageId_55588631");

// 4.1.3. Allocating Memory Regions
  objTOC.addItem("ID_55588628", 2, "4.1.3. Allocating Memory Regions", "Pages/Page_55588628.html", "PageId_55588632");

// 4.1.4. Running Command List Objects
  objTOC.addItem("ID_55588628", 2, "4.1.4. Running Command List Objects", "Pages/Page_55588628.html", "PageId_55588633");

// 4.1.4.1. Getting the State of an Executing Command List
  objTOC.addItem("ID_55588628", 3, "4.1.4.1. Getting the State of an Executing Command List", "Pages/Page_55588628.html", "PageId_55588634");

// 4.1.5. Destroying Command List Objects
  objTOC.addItem("ID_55588628", 2, "4.1.5. Destroying Command List Objects", "Pages/Page_55588628.html", "PageId_55588635");

// 4.1.6. Stopping a Command List
  objTOC.addItem("ID_55588628", 2, "4.1.6. Stopping a Command List", "Pages/Page_55588628.html", "PageId_55588636");

// 4.1.7. Splitting the 3D Command Buffer
  objTOC.addItem("ID_55588628", 2, "4.1.7. Splitting the 3D Command Buffer", "Pages/Page_55588628.html", "PageId_55588637");

// 4.1.7.1. Flushing the Accumulated 3D Command Buffer
  objTOC.addItem("ID_55588628", 3, "4.1.7.1. Flushing the Accumulated 3D Command Buffer", "Pages/Page_55588628.html", "PageId_55588638");

// 4.1.7.2. Partially Flushing the Accumulated 3D Command Buffer
  objTOC.addItem("ID_55588628", 3, "4.1.7.2. Partially Flushing the Accumulated 3D Command Buffer", "Pages/Page_55588628.html", "PageId_55588639");

// 4.1.8. Clearing the Command List
  objTOC.addItem("ID_55588628", 2, "4.1.8. Clearing the Command List", "Pages/Page_55588628.html", "PageId_55588640");

// 4.1.8.1. Clearing the Command List and Filling Its 3D Command Buffer
  objTOC.addItem("ID_55588628", 3, "4.1.8.1. Clearing the Command List and Filling Its 3D Command Buffer", "Pages/Page_55588628.html", "PageId_55588641");

// 4.1.9. Setting Command List Parameters
  objTOC.addItem("ID_55588628", 2, "4.1.9. Setting Command List Parameters", "Pages/Page_55588628.html", "PageId_55588642");

// 4.1.10. Getting Command List Parameters
  objTOC.addItem("ID_55588628", 2, "4.1.10. Getting Command List Parameters", "Pages/Page_55588628.html", "PageId_55588643");

// 4.1.11. Command Completion Interrupts
  objTOC.addItem("ID_55588628", 2, "4.1.11. Command Completion Interrupts", "Pages/Page_55588628.html", "PageId_55588644");

// 4.1.12. Waiting for Command Execution to Complete
  objTOC.addItem("ID_55588628", 2, "4.1.12. Waiting for Command Execution to Complete", "Pages/Page_55588628.html", "PageId_55588645");

// 4.1.13. Adding a DMA Transfer Command Request
  objTOC.addItem("ID_55588628", 2, "4.1.13. Adding a DMA Transfer Command Request", "Pages/Page_55588628.html", "PageId_55588646");

// 4.1.14. Adding an Anti-Aliasing Filter Transfer Command Request
  objTOC.addItem("ID_55588628", 2, "4.1.14. Adding an Anti-Aliasing Filter Transfer Command Request", "Pages/Page_55588628.html", "PageId_55588647");

// 4.1.15. Adding an Image Transfer Command Request
  objTOC.addItem("ID_55588628", 2, "4.1.15. Adding an Image Transfer Command Request", "Pages/Page_55588628.html", "PageId_55588648");

// 4.1.16. Adding a Block-to-Linear Image Conversion and Transfer Command Request
  objTOC.addItem("ID_55588628", 2, "4.1.16. Adding a Block-to-Linear Image Conversion and Transfer Command Request", "Pages/Page_55588628.html", "PageId_55588649");

// 4.1.17. Adding a Linear-to-Block Image Conversion and Transfer Command Request
  objTOC.addItem("ID_55588628", 2, "4.1.17. Adding a Linear-to-Block Image Conversion and Transfer Command Request", "Pages/Page_55588628.html", "PageId_55588650");

// 4.1.18. Adding a Block Image Transfer Command Request
  objTOC.addItem("ID_55588628", 2, "4.1.18. Adding a Block Image Transfer Command Request", "Pages/Page_55588628.html", "PageId_55588651");

// 4.1.19. Adding a Memory Fill Command Request
  objTOC.addItem("ID_55588628", 2, "4.1.19. Adding a Memory Fill Command Request", "Pages/Page_55588628.html", "PageId_55588652");

// 4.1.20. Moving the 3D Command Buffer Pointer
  objTOC.addItem("ID_55588628", 2, "4.1.20. Moving the 3D Command Buffer Pointer", "Pages/Page_55588628.html", "PageId_55588653");

// 4.1.21. Adding Jump Commands
  objTOC.addItem("ID_55588628", 2, "4.1.21. Adding Jump Commands", "Pages/Page_55588628.html", "PageId_55588654");

// 4.1.22. Adding Subroutine Commands
  objTOC.addItem("ID_55588628", 2, "4.1.22. Adding Subroutine Commands", "Pages/Page_55588628.html", "PageId_55588655");

// 4.2. Command Request Types
  objTOC.addItem("ID_55588628", 1, "4.2. Command Request Types", "Pages/Page_55588628.html", "PageId_55588656");

// 4.3. Methods for Optimizing 3D Command Buffer Performance
  objTOC.addItem("ID_55588628", 1, "4.3. Methods for Optimizing 3D Command Buffer Performance", "Pages/Page_55588628.html", "PageId_55588662");

// 4.3.1. Changes in Load Speed due to Address and Size
  objTOC.addItem("ID_55588628", 2, "4.3.1. Changes in Load Speed due to Address and Size", "Pages/Page_55588628.html", "PageId_55588663");

// 4.3.2. Using Subroutine Execution
  objTOC.addItem("ID_55588628", 2, "4.3.2. Using Subroutine Execution", "Pages/Page_55588628.html", "PageId_55588664");

// 4.3.2.1. Overview
  objTOC.addItem("ID_55588628", 3, "4.3.2.1. Overview", "Pages/Page_55588628.html", "PageId_55588665");

// 4.3.2.2. Effect on Behavior
  objTOC.addItem("ID_55588628", 3, "4.3.2.2. Effect on Behavior", "Pages/Page_55588628.html", "PageId_55588666");

// 4.3.2.3. Storage Location
  objTOC.addItem("ID_55588628", 3, "4.3.2.3. Storage Location", "Pages/Page_55588628.html", "PageId_55588667");

// 4.3.2.4. Balance Between Execution and Access Processes
  objTOC.addItem("ID_55588628", 3, "4.3.2.4. Balance Between Execution and Access Processes", "Pages/Page_55588628.html", "PageId_55588668");

// 5. Shader Programs
  objTOC.addHeader("ID_55588669", 0, "5. Shader Programs", "Pages/Page_55588669.html", "");

// 5.1. Creating Shaders
  objTOC.addItem("ID_55588669", 1, "5.1. Creating Shaders", "Pages/Page_55588669.html", "PageId_55588670");

// 5.2. Loading Shaders
  objTOC.addItem("ID_55588669", 1, "5.2. Loading Shaders", "Pages/Page_55588669.html", "PageId_55588671");

// 5.3. Attaching Shaders
  objTOC.addItem("ID_55588669", 1, "5.3. Attaching Shaders", "Pages/Page_55588669.html", "PageId_55588672");

// 5.4. Using Shaders
  objTOC.addItem("ID_55588669", 1, "5.4. Using Shaders", "Pages/Page_55588669.html", "PageId_55588673");

// 5.5. Detaching Shaders
  objTOC.addItem("ID_55588669", 1, "5.5. Detaching Shaders", "Pages/Page_55588669.html", "PageId_55588674");

// 5.6. Destroying Shaders
  objTOC.addItem("ID_55588669", 1, "5.6. Destroying Shaders", "Pages/Page_55588669.html", "PageId_55588675");

// 5.7. Querying Shaders
  objTOC.addItem("ID_55588669", 1, "5.7. Querying Shaders", "Pages/Page_55588669.html", "PageId_55588676");

// 5.7.1. Validation
  objTOC.addItem("ID_55588669", 2, "5.7.1. Validation", "Pages/Page_55588669.html", "PageId_55588677");

// 5.7.2. Getting Attached Shader Objects
  objTOC.addItem("ID_55588669", 2, "5.7.2. Getting Attached Shader Objects", "Pages/Page_55588669.html", "PageId_55588678");

// 5.7.3. Getting Command List Parameters
  objTOC.addItem("ID_55588669", 2, "5.7.3. Getting Command List Parameters", "Pages/Page_55588669.html", "PageId_55588679");

// 6. Vertex Buffers
  objTOC.addHeader("ID_55588680", 0, "6. Vertex Buffers", "Pages/Page_55588680.html", "");

// 6.1. Creating Objects
  objTOC.addItem("ID_55588680", 1, "6.1. Creating Objects", "Pages/Page_55588680.html", "PageId_55588681");

// 6.2. Specifying Objects
  objTOC.addItem("ID_55588680", 1, "6.2. Specifying Objects", "Pages/Page_55588680.html", "PageId_55588682");

// 6.3. Allocating Buffers
  objTOC.addItem("ID_55588680", 1, "6.3. Allocating Buffers", "Pages/Page_55588680.html", "PageId_55588683");

// 6.4. Rewriting Buffers
  objTOC.addItem("ID_55588680", 1, "6.4. Rewriting Buffers", "Pages/Page_55588680.html", "PageId_55588684");

// 6.5. Freeing Buffers
  objTOC.addItem("ID_55588680", 1, "6.5. Freeing Buffers", "Pages/Page_55588680.html", "PageId_55588685");

// 6.6. Vertex State Collections
  objTOC.addItem("ID_55588680", 1, "6.6. Vertex State Collections", "Pages/Page_55588680.html", "PageId_55588686");

// 6.6.1. Creating Vertex State Collections
  objTOC.addItem("ID_55588680", 2, "6.6.1. Creating Vertex State Collections", "Pages/Page_55588680.html", "PageId_55588687");

// 6.6.2. Specifying Vertex State Collections
  objTOC.addItem("ID_55588680", 2, "6.6.2. Specifying Vertex State Collections", "Pages/Page_55588680.html", "PageId_55588688");

// 6.6.3. Destroying Vertex State Collections
  objTOC.addItem("ID_55588680", 2, "6.6.3. Destroying Vertex State Collections", "Pages/Page_55588680.html", "PageId_55588689");

// 6.7. Sample Vertex Buffer Usage
  objTOC.addItem("ID_55588680", 1, "6.7. Sample Vertex Buffer Usage", "Pages/Page_55588680.html", "PageId_55588690");

// 6.8. Restrictions on Vertex Data Placement
  objTOC.addItem("ID_55588680", 1, "6.8. Restrictions on Vertex Data Placement", "Pages/Page_55588680.html", "PageId_55588691");

// 6.8.1. Restrictions Affecting Only glDrawElements
  objTOC.addItem("ID_55588680", 2, "6.8.1. Restrictions Affecting Only glDrawElements", "Pages/Page_55588680.html", "PageId_55588692");

// 7. Textures
  objTOC.addHeader("ID_55588693", 0, "7. Textures", "Pages/Page_55588693.html", "");

// 7.1. Creating Texture Objects
  objTOC.addItem("ID_55588693", 1, "7.1. Creating Texture Objects", "Pages/Page_55588693.html", "PageId_55588694");

// 7.2. Specifying Texture Objects
  objTOC.addItem("ID_55588693", 1, "7.2. Specifying Texture Objects", "Pages/Page_55588693.html", "PageId_55588695");

// 7.3. Loading Texture Images
  objTOC.addItem("ID_55588693", 1, "7.3. Loading Texture Images", "Pages/Page_55588693.html", "PageId_55588696");

// 7.3.1. Formats With 4-Bit Components
  objTOC.addItem("ID_55588693", 2, "7.3.1. Formats With 4-Bit Components", "Pages/Page_55588693.html", "PageId_55588697");

// 7.4. Loading Compressed Textures
  objTOC.addItem("ID_55588693", 1, "7.4. Loading Compressed Textures", "Pages/Page_55588693.html", "PageId_55588698");

// 7.5. Copying From the Framebuffer
  objTOC.addItem("ID_55588693", 1, "7.5. Copying From the Framebuffer", "Pages/Page_55588693.html", "PageId_97490271");

// 7.5.1. Copying From the Color Buffer
  objTOC.addItem("ID_55588693", 2, "7.5.1. Copying From the Color Buffer", "Pages/Page_55588693.html", "PageId_55588699");

// 7.5.2. Copying From the Color Buffer
  objTOC.addItem("ID_55588693", 2, "7.5.2. Copying From the Color Buffer", "Pages/Page_55588693.html", "PageId_55588700");

// 7.5.3. Copying From the Depth Buffer
  objTOC.addItem("ID_55588693", 2, "7.5.3. Copying From the Depth Buffer", "Pages/Page_55588693.html", "PageId_55588701");

// 7.6. Specifying a Texture as the Render Target
  objTOC.addItem("ID_55588693", 1, "7.6. Specifying a Texture as the Render Target", "Pages/Page_55588693.html", "PageId_55588702");

// 7.7. Loading Lookup Tables
  objTOC.addItem("ID_55588693", 1, "7.7. Loading Lookup Tables", "Pages/Page_55588693.html", "PageId_55588703");

// 7.8. Destroying Texture Objects
  objTOC.addItem("ID_55588693", 1, "7.8. Destroying Texture Objects", "Pages/Page_55588693.html", "PageId_55588704");

// 7.9. Texture Collections
  objTOC.addItem("ID_55588693", 1, "7.9. Texture Collections", "Pages/Page_55588693.html", "PageId_55588705");

// 7.9.1. Creating Texture Collections
  objTOC.addItem("ID_55588693", 2, "7.9.1. Creating Texture Collections", "Pages/Page_55588693.html", "PageId_55588706");

// 7.9.2. Specifying Texture Collections
  objTOC.addItem("ID_55588693", 2, "7.9.2. Specifying Texture Collections", "Pages/Page_55588693.html", "PageId_55588707");

// 7.9.3. Destroying Texture Collections
  objTOC.addItem("ID_55588693", 2, "7.9.3. Destroying Texture Collections", "Pages/Page_55588693.html", "PageId_55588708");

// 7.10. Native PICA Format
  objTOC.addItem("ID_55588693", 1, "7.10. Native PICA Format", "Pages/Page_55588693.html", "PageId_55588709");

// 7.10.1. Byte Order Swapping
  objTOC.addItem("ID_55588693", 2, "7.10.1. Byte Order Swapping", "Pages/Page_55588693.html", "PageId_55588710");

// 7.10.2. V-Flip Differences
  objTOC.addItem("ID_55588693", 2, "7.10.2. V-Flip Differences", "Pages/Page_55588693.html", "PageId_55588711");

// 7.10.3. Differences in Addressing
  objTOC.addItem("ID_55588693", 2, "7.10.3. Differences in Addressing", "Pages/Page_55588693.html", "PageId_55588712");

// 7.10.3.1. Uncompressed Textures
  objTOC.addItem("ID_55588693", 3, "7.10.3.1. Uncompressed Textures", "Pages/Page_55588693.html", "PageId_55588713");

// 7.10.3.2. Compressed Textures
  objTOC.addItem("ID_55588693", 3, "7.10.3.2. Compressed Textures", "Pages/Page_55588693.html", "PageId_55588714");

// 8. Vertex Shaders
  objTOC.addHeader("ID_55588715", 0, "8. Vertex Shaders", "Pages/Page_55588715.html", "");

// 8.1. Input Vertex Data
  objTOC.addItem("ID_55588715", 1, "8.1. Input Vertex Data", "Pages/Page_55588715.html", "PageId_55588716");

// 8.2. Vertex Data Output
  objTOC.addItem("ID_55588715", 1, "8.2. Vertex Data Output", "Pages/Page_55588715.html", "PageId_55588717");

// 8.3. Uniform Settings
  objTOC.addItem("ID_55588715", 1, "8.3. Uniform Settings", "Pages/Page_55588715.html", "PageId_55588718");

// 8.4. Notes for the Clip Coordinate System
  objTOC.addItem("ID_55588715", 1, "8.4. Notes for the Clip Coordinate System", "Pages/Page_55588715.html", "PageId_55588719");

// 8.5. Vertex Cache
  objTOC.addItem("ID_55588715", 1, "8.5. Vertex Cache", "Pages/Page_55588715.html", "PageId_55588720");

// 8.6. Querying the Vertex Shader
  objTOC.addItem("ID_55588715", 1, "8.6. Querying the Vertex Shader", "Pages/Page_55588715.html", "PageId_55588721");

// 8.6.1. Getting Vertex Attribute Information
  objTOC.addItem("ID_55588715", 2, "8.6.1. Getting Vertex Attribute Information", "Pages/Page_55588715.html", "PageId_55588722");

// 8.6.2. Getting Uniform Information
  objTOC.addItem("ID_55588715", 2, "8.6.2. Getting Uniform Information", "Pages/Page_55588715.html", "PageId_55588723");

// 8.6.3. Setting Categories
  objTOC.addItem("ID_55588715", 2, "8.6.3. Setting Categories", "Pages/Page_55588715.html", "PageId_55588724");

// 8.7. Getting and Setting the Values of Multiple Uniforms
  objTOC.addItem("ID_55588715", 1, "8.7. Getting and Setting the Values of Multiple Uniforms", "Pages/Page_55588715.html", "PageId_55588725");

// 8.8. Other Notes and Cautions
  objTOC.addItem("ID_55588715", 1, "8.8. Other Notes and Cautions", "Pages/Page_55588715.html", "PageId_55588726");

// 9. Geometry Shaders
  objTOC.addHeader("ID_55588727", 0, "9. Geometry Shaders", "Pages/Page_55588727.html", "");

// 9.1. Point Shaders
  objTOC.addItem("ID_55588727", 1, "9.1. Point Shaders", "Pages/Page_55588727.html", "PageId_55588728");

// 9.1.1. Shader Files
  objTOC.addItem("ID_55588727", 2, "9.1.1. Shader Files", "Pages/Page_55588727.html", "PageId_55588729");

// 9.1.2. Reserved Uniform
  objTOC.addItem("ID_55588727", 2, "9.1.2. Reserved Uniform", "Pages/Page_55588727.html", "PageId_55588730");

// 9.1.3. Vertex Shader Settings
  objTOC.addItem("ID_55588727", 2, "9.1.3. Vertex Shader Settings", "Pages/Page_55588727.html", "PageId_55588733");

// 9.1.4. Input Vertex Data
  objTOC.addItem("ID_55588727", 2, "9.1.4. Input Vertex Data", "Pages/Page_55588727.html", "PageId_55588734");

// 9.2. Line Shaders
  objTOC.addItem("ID_55588727", 1, "9.2. Line Shaders", "Pages/Page_55588727.html", "PageId_55588735");

// 9.2.1. Shader Files
  objTOC.addItem("ID_55588727", 2, "9.2.1. Shader Files", "Pages/Page_55588727.html", "PageId_55588736");

// 9.2.2. Reserved Uniform
  objTOC.addItem("ID_55588727", 2, "9.2.2. Reserved Uniform", "Pages/Page_55588727.html", "PageId_55588737");

// 9.2.3. Vertex Shader Settings
  objTOC.addItem("ID_55588727", 2, "9.2.3. Vertex Shader Settings", "Pages/Page_55588727.html", "PageId_55588739");

// 9.2.4. Input Vertex Data
  objTOC.addItem("ID_55588727", 2, "9.2.4. Input Vertex Data", "Pages/Page_55588727.html", "PageId_55588740");

// 9.3. Silhouette Shaders
  objTOC.addItem("ID_55588727", 1, "9.3. Silhouette Shaders", "Pages/Page_55588727.html", "PageId_55588741");

// 9.3.1. Triangle With Neighborhood
  objTOC.addItem("ID_55588727", 2, "9.3.1. Triangle With Neighborhood", "Pages/Page_55588727.html", "PageId_55588742");

// 9.3.2. Shader Files
  objTOC.addItem("ID_55588727", 2, "9.3.2. Shader Files", "Pages/Page_55588727.html", "PageId_55588743");

// 9.3.3. Reserved Uniform
  objTOC.addItem("ID_55588727", 2, "9.3.3. Reserved Uniform", "Pages/Page_55588727.html", "PageId_55588744");

// 9.3.4. Vertex Shader Settings
  objTOC.addItem("ID_55588727", 2, "9.3.4. Vertex Shader Settings", "Pages/Page_55588727.html", "PageId_55588753");

// 9.3.5. Input Vertex Data
  objTOC.addItem("ID_55588727", 2, "9.3.5. Input Vertex Data", "Pages/Page_55588727.html", "PageId_55588754");

// 9.3.6. Silhouette Triangle Indices
  objTOC.addItem("ID_55588727", 2, "9.3.6. Silhouette Triangle Indices", "Pages/Page_55588727.html", "PageId_55588755");

// 9.3.7. Silhouette Strip Indices
  objTOC.addItem("ID_55588727", 2, "9.3.7. Silhouette Strip Indices", "Pages/Page_55588727.html", "PageId_55588756");

// 9.3.8. Open Edges
  objTOC.addItem("ID_55588727", 2, "9.3.8. Open Edges", "Pages/Page_55588727.html", "PageId_55588757");

// 9.3.9. Generating Silhouette Edges
  objTOC.addItem("ID_55588727", 2, "9.3.9. Generating Silhouette Edges", "Pages/Page_55588727.html", "PageId_55588758");

// 9.4. Catmull-Clark Subdivision Shaders
  objTOC.addItem("ID_55588727", 1, "9.4. Catmull-Clark Subdivision Shaders", "Pages/Page_55588727.html", "PageId_55588759");

// 9.4.1. Subdivision Patches
  objTOC.addItem("ID_55588727", 2, "9.4.1. Subdivision Patches", "Pages/Page_55588727.html", "PageId_55588760");

// 9.4.2. Shader Files
  objTOC.addItem("ID_55588727", 2, "9.4.2. Shader Files", "Pages/Page_55588727.html", "PageId_55588761");

// 9.4.3. Reserved Uniform
  objTOC.addItem("ID_55588727", 2, "9.4.3. Reserved Uniform", "Pages/Page_55588727.html", "PageId_55588762");

// 9.4.4. Vertex Shader Settings
  objTOC.addItem("ID_55588727", 2, "9.4.4. Vertex Shader Settings", "Pages/Page_55588727.html", "PageId_55588765");

// 9.4.5. Input Vertex Data
  objTOC.addItem("ID_55588727", 2, "9.4.5. Input Vertex Data", "Pages/Page_55588727.html", "PageId_55588766");

// 9.4.6. Subdivision Patch Indices
  objTOC.addItem("ID_55588727", 2, "9.4.6. Subdivision Patch Indices", "Pages/Page_55588727.html", "PageId_55588767");

// 9.5. Loop Subdivision Shader
  objTOC.addItem("ID_55588727", 1, "9.5. Loop Subdivision Shader", "Pages/Page_55588727.html", "PageId_55588768");

// 9.5.1. Subdivision Patches
  objTOC.addItem("ID_55588727", 2, "9.5.1. Subdivision Patches", "Pages/Page_55588727.html", "PageId_55588769");

// 9.5.2. Shader Files
  objTOC.addItem("ID_55588727", 2, "9.5.2. Shader Files", "Pages/Page_55588727.html", "PageId_55588770");

// 9.5.3. Reserved Uniform
  objTOC.addItem("ID_55588727", 2, "9.5.3. Reserved Uniform", "Pages/Page_55588727.html", "PageId_55588771");

// 9.5.4. Vertex Shader Settings
  objTOC.addItem("ID_55588727", 2, "9.5.4. Vertex Shader Settings", "Pages/Page_55588727.html", "PageId_55588772");

// 9.5.5. Input Vertex Data
  objTOC.addItem("ID_55588727", 2, "9.5.5. Input Vertex Data", "Pages/Page_55588727.html", "PageId_55588773");

// 9.5.6. Subdivision Patch Indices
  objTOC.addItem("ID_55588727", 2, "9.5.6. Subdivision Patch Indices", "Pages/Page_55588727.html", "PageId_55588774");

// 9.6. Particle System Shaders
  objTOC.addItem("ID_55588727", 1, "9.6. Particle System Shaders", "Pages/Page_55588727.html", "PageId_55588775");

// 9.6.1. Shader Files
  objTOC.addItem("ID_55588727", 2, "9.6.1. Shader Files", "Pages/Page_55588727.html", "PageId_55588776");

// 9.6.2. Reserved Uniform
  objTOC.addItem("ID_55588727", 2, "9.6.2. Reserved Uniform", "Pages/Page_55588727.html", "PageId_55588777");

// 9.6.3. Vertex Shader Settings
  objTOC.addItem("ID_55588727", 2, "9.6.3. Vertex Shader Settings", "Pages/Page_55588727.html", "PageId_55588786");

// 9.6.4. Input Vertex Data
  objTOC.addItem("ID_55588727", 2, "9.6.4. Input Vertex Data", "Pages/Page_55588727.html", "PageId_55588787");

// 10. Rasterization
  objTOC.addHeader("ID_55588788", 0, "10. Rasterization", "Pages/Page_55588788.html", "");

// 10.1. Culling
  objTOC.addItem("ID_55588788", 1, "10.1. Culling", "Pages/Page_55588788.html", "PageId_55588789");

// 10.1.1. Determining the Front and Back Faces
  objTOC.addItem("ID_55588788", 2, "10.1.1. Determining the Front and Back Faces", "Pages/Page_55588788.html", "PageId_55588790");

// 10.1.2. How to Use
  objTOC.addItem("ID_55588788", 2, "10.1.2. How to Use", "Pages/Page_55588788.html", "PageId_55588791");

// 10.2. Clipping
  objTOC.addItem("ID_55588788", 1, "10.2. Clipping", "Pages/Page_55588788.html", "PageId_55588794");

// 10.2.1. Reserved Uniform
  objTOC.addItem("ID_55588788", 2, "10.2.1. Reserved Uniform", "Pages/Page_55588788.html", "PageId_55588795");

// 10.3. Transformation to Window Coordinates
  objTOC.addItem("ID_55588788", 1, "10.3. Transformation to Window Coordinates", "Pages/Page_55588788.html", "PageId_55588798");

// 10.3.1. Configuring the Viewport
  objTOC.addItem("ID_55588788", 2, "10.3.1. Configuring the Viewport", "Pages/Page_55588788.html", "PageId_55588799");

// 10.3.1.1. A Viewport Larger Than 1023×1016 Causes Incorrect Rendering
  objTOC.addItem("ID_55588788", 3, "10.3.1.1. A Viewport Larger Than 1023×1016 Causes Incorrect Rendering", "Pages/Page_55588788.html", "PageId_55588800");

// 10.3.2. Polygon Offset
  objTOC.addItem("ID_55588788", 2, "10.3.2. Polygon Offset", "Pages/Page_55588788.html", "PageId_55588801");

// 10.3.3. W-Buffer
  objTOC.addItem("ID_55588788", 2, "10.3.3. W-Buffer", "Pages/Page_55588788.html", "PageId_55588804");

// 10.4. Scissor Test
  objTOC.addItem("ID_55588788", 1, "10.4. Scissor Test", "Pages/Page_55588788.html", "PageId_55588807");

// 10.4.1. How to Use
  objTOC.addItem("ID_55588788", 2, "10.4.1. How to Use", "Pages/Page_55588788.html", "PageId_55588808");

// 10.5. Rasterization
  objTOC.addItem("ID_55588788", 1, "10.5. Rasterization", "Pages/Page_55588788.html", "PageId_55588811");

// 11. Texture Processing
  objTOC.addHeader("ID_55588812", 0, "11. Texture Processing", "Pages/Page_55588812.html", "");

// 11.1. Texture Unit
  objTOC.addItem("ID_55588812", 1, "11.1. Texture Unit", "Pages/Page_55588812.html", "PageId_55588813");

// 11.1.1. Texture Coordinate Input
  objTOC.addItem("ID_55588812", 2, "11.1.1. Texture Coordinate Input", "Pages/Page_55588812.html", "PageId_55588814");

// 11.1.1.1. Texture Coordinate Precision
  objTOC.addItem("ID_55588812", 3, "11.1.1.1. Texture Coordinate Precision", "Pages/Page_55588812.html", "PageId_55588815");

// 11.1.2. How to Use
  objTOC.addItem("ID_55588812", 2, "11.1.2. How to Use", "Pages/Page_55588812.html", "PageId_55588816");

// 11.1.3. Specifying Textures to Use
  objTOC.addItem("ID_55588812", 2, "11.1.3. Specifying Textures to Use", "Pages/Page_55588812.html", "PageId_55588817");

// 11.1.4. Texture Parameters
  objTOC.addItem("ID_55588812", 2, "11.1.4. Texture Parameters", "Pages/Page_55588812.html", "PageId_55588818");

// 11.1.4.1. Automatic Generation of Mipmap Textures
  objTOC.addItem("ID_55588812", 3, "11.1.4.1. Automatic Generation of Mipmap Textures", "Pages/Page_55588812.html", "PageId_55588819");

// 11.1.4.2. Cautions for Specifying GL_NEAREST as the Filter
  objTOC.addItem("ID_55588812", 3, "11.1.4.2. Cautions for Specifying GL_NEAREST as the Filter", "Pages/Page_55588812.html", "PageId_55588820");

// 11.1.4.3. Cautions for Specifying GL_XXX_MIPMAP_LINEAR as a Minification Filter
  objTOC.addItem("ID_55588812", 3, "11.1.4.3. Cautions for Specifying GL_XXX_MIPMAP_LINEAR as a Minification Filter", "Pages/Page_55588812.html", "PageId_55588821");

// 11.1.4.4. Getting Texture Level (Mipmap) Parameters
  objTOC.addItem("ID_55588812", 3, "11.1.4.4. Getting Texture Level (Mipmap) Parameters", "Pages/Page_55588812.html", "PageId_55588822");

// 11.1.5. Effects of Texture Settings on Performance
  objTOC.addItem("ID_55588812", 2, "11.1.5. Effects of Texture Settings on Performance", "Pages/Page_55588812.html", "PageId_55588823");

// 11.1.6. Texture Cache
  objTOC.addItem("ID_55588812", 2, "11.1.6. Texture Cache", "Pages/Page_55588812.html", "PageId_55588824");

// 11.2. Combiners
  objTOC.addItem("ID_55588812", 1, "11.2. Combiners", "Pages/Page_55588812.html", "PageId_55588825");

// 11.2.1. Reserved Uniforms for Combiner Functions
  objTOC.addItem("ID_55588812", 2, "11.2.1. Reserved Uniforms for Combiner Functions", "Pages/Page_55588812.html", "PageId_55588826");

// 11.2.2. Reserved Uniforms for the Input Sources
  objTOC.addItem("ID_55588812", 2, "11.2.2. Reserved Uniforms for the Input Sources", "Pages/Page_55588812.html", "PageId_55588827");

// 11.2.3. Reserved Uniforms for Operands
  objTOC.addItem("ID_55588812", 2, "11.2.3. Reserved Uniforms for Operands", "Pages/Page_55588812.html", "PageId_55588828");

// 11.2.4. Reserved Uniforms for Scaling Values
  objTOC.addItem("ID_55588812", 2, "11.2.4. Reserved Uniforms for Scaling Values", "Pages/Page_55588812.html", "PageId_55588829");

// 11.2.5. Reserved Uniforms for Constant Colors
  objTOC.addItem("ID_55588812", 2, "11.2.5. Reserved Uniforms for Constant Colors", "Pages/Page_55588812.html", "PageId_55588830");

// 11.2.6. Sample Combiner Settings
  objTOC.addItem("ID_55588812", 2, "11.2.6. Sample Combiner Settings", "Pages/Page_55588812.html", "PageId_55588831");

// 11.3. Combiner Buffers
  objTOC.addItem("ID_55588812", 1, "11.3. Combiner Buffers", "Pages/Page_55588812.html", "PageId_55588832");

// 11.3.1. Reserved Uniforms for Combiner Buffers
  objTOC.addItem("ID_55588812", 2, "11.3.1. Reserved Uniforms for Combiner Buffers", "Pages/Page_55588812.html", "PageId_55588833");

// 11.3.2. Sample Combiner Buffer Settings
  objTOC.addItem("ID_55588812", 2, "11.3.2. Sample Combiner Buffer Settings", "Pages/Page_55588812.html", "PageId_55588834");

// 11.4. Procedural Textures
  objTOC.addItem("ID_55588812", 1, "11.4. Procedural Textures", "Pages/Page_55588812.html", "PageId_55588835");

// 11.4.1. Procedural Texture Unit
  objTOC.addItem("ID_55588812", 2, "11.4.1. Procedural Texture Unit", "Pages/Page_55588812.html", "PageId_55588836");

// 11.4.2. Enable Procedural Textures
  objTOC.addItem("ID_55588812", 2, "11.4.2. Enable Procedural Textures", "Pages/Page_55588812.html", "PageId_55588837");

// 11.4.3. Setting Shared RGBA Mode or Independent Alpha Mode
  objTOC.addItem("ID_55588812", 2, "11.4.3. Setting Shared RGBA Mode or Independent Alpha Mode", "Pages/Page_55588812.html", "PageId_55588838");

// 11.4.4. Selecting a Basic Shape
  objTOC.addItem("ID_55588812", 2, "11.4.4. Selecting a Basic Shape", "Pages/Page_55588812.html", "PageId_55588839");

// 11.4.5. Color Lookup Table Settings
  objTOC.addItem("ID_55588812", 2, "11.4.5. Color Lookup Table Settings", "Pages/Page_55588812.html", "PageId_55588840");

// 11.4.6. Setting the Relationship Between the Basic Shape and Color Lookup Table
  objTOC.addItem("ID_55588812", 2, "11.4.6. Setting the Relationship Between the Basic Shape and Color Lookup Table", "Pages/Page_55588812.html", "PageId_55588841");

// 11.4.7. Selecting Random Number Parameters
  objTOC.addItem("ID_55588812", 2, "11.4.7. Selecting Random Number Parameters", "Pages/Page_55588812.html", "PageId_55588842");

// 11.4.8. Wrapping and Symmetry Settings
  objTOC.addItem("ID_55588812", 2, "11.4.8. Wrapping and Symmetry Settings", "Pages/Page_55588812.html", "PageId_55588843");

// 12. Reserved Fragment Shaders
  objTOC.addHeader("ID_55588844", 0, "12. Reserved Fragment Shaders", "Pages/Page_55588844.html", "");

// 12.1. Fragment Operation Mode
  objTOC.addItem("ID_55588844", 1, "12.1. Fragment Operation Mode", "Pages/Page_55588844.html", "PageId_55588845");

// 12.2. Fragment Lighting
  objTOC.addItem("ID_55588844", 1, "12.2. Fragment Lighting", "Pages/Page_55588844.html", "PageId_55588846");

// 12.2.1. Quaternion Conversion
  objTOC.addItem("ID_55588844", 2, "12.2.1. Quaternion Conversion", "Pages/Page_55588844.html", "PageId_55588847");

// 12.2.2. Lighting Overview
  objTOC.addItem("ID_55588844", 2, "12.2.2. Lighting Overview", "Pages/Page_55588844.html", "PageId_55588849");

// 12.2.3. Scene Settings
  objTOC.addItem("ID_55588844", 2, "12.2.3. Scene Settings", "Pages/Page_55588844.html", "PageId_55588850");

// 12.2.4. Material Settings
  objTOC.addItem("ID_55588844", 2, "12.2.4. Material Settings", "Pages/Page_55588844.html", "PageId_55588851");

// 12.2.5. Light Settings
  objTOC.addItem("ID_55588844", 2, "12.2.5. Light Settings", "Pages/Page_55588844.html", "PageId_55588852");

// 12.2.6. Lighting Environment
  objTOC.addItem("ID_55588844", 2, "12.2.6. Lighting Environment", "Pages/Page_55588844.html", "PageId_55588853");

// 12.2.7. Equations for the Primary Color
  objTOC.addItem("ID_55588844", 2, "12.2.7. Equations for the Primary Color", "Pages/Page_55588844.html", "PageId_55588854");

// 12.2.8. Equations for the Secondary Color
  objTOC.addItem("ID_55588844", 2, "12.2.8. Equations for the Secondary Color", "Pages/Page_55588844.html", "PageId_55588855");

// 12.2.9. Alpha Component Lighting
  objTOC.addItem("ID_55588844", 2, "12.2.9. Alpha Component Lighting", "Pages/Page_55588844.html", "PageId_55588856");

// 12.2.10. Creating and Specifying Lookup Tables
  objTOC.addItem("ID_55588844", 2, "12.2.10. Creating and Specifying Lookup Tables", "Pages/Page_55588844.html", "PageId_55588857");

// 12.2.11. Lookup Table Input
  objTOC.addItem("ID_55588844", 2, "12.2.11. Lookup Table Input", "Pages/Page_55588844.html", "PageId_55588858");

// 12.2.12. Distance Attenuation of Light
  objTOC.addItem("ID_55588844", 2, "12.2.12. Distance Attenuation of Light", "Pages/Page_55588844.html", "PageId_55588859");

// 12.2.13. Texture Combiner Settings
  objTOC.addItem("ID_55588844", 2, "12.2.13. Texture Combiner Settings", "Pages/Page_55588844.html", "PageId_55588860");

// 12.3. Bump Mapping
  objTOC.addItem("ID_55588844", 1, "12.3. Bump Mapping", "Pages/Page_55588844.html", "PageId_55588861");

// 12.3.1. Reserved Uniform
  objTOC.addItem("ID_55588844", 2, "12.3.1. Reserved Uniform", "Pages/Page_55588844.html", "PageId_55588862");

// 12.4. Shadows
  objTOC.addItem("ID_55588844", 1, "12.4. Shadows", "Pages/Page_55588844.html", "PageId_55588866");

// 12.4.1. Shadow Accumulation Pass
  objTOC.addItem("ID_55588844", 2, "12.4.1. Shadow Accumulation Pass", "Pages/Page_55588844.html", "PageId_55588868");

// 12.4.2. Shadow Lookup Pass
  objTOC.addItem("ID_55588844", 2, "12.4.2. Shadow Lookup Pass", "Pages/Page_55588844.html", "PageId_55588869");

// 12.4.3. Omnidirectional Shadow Mapping
  objTOC.addItem("ID_55588844", 2, "12.4.3. Omnidirectional Shadow Mapping", "Pages/Page_55588844.html", "PageId_55588872");

// 12.4.4. Soft Shadows Using the Silhouette Shader
  objTOC.addItem("ID_55588844", 2, "12.4.4. Soft Shadows Using the Silhouette Shader", "Pages/Page_55588844.html", "PageId_55588873");

// 12.4.5. Handling Shadow Artifacts
  objTOC.addItem("ID_55588844", 2, "12.4.5. Handling Shadow Artifacts", "Pages/Page_55588844.html", "PageId_55588874");

// 12.4.5.1. Self-Shadow Aliasing
  objTOC.addItem("ID_55588844", 3, "12.4.5.1. Self-Shadow Aliasing", "Pages/Page_55588844.html", "PageId_55588875");

// 12.4.5.2. Silhouette Shadow Artifacts
  objTOC.addItem("ID_55588844", 3, "12.4.5.2. Silhouette Shadow Artifacts", "Pages/Page_55588844.html", "PageId_96564931");

// 12.4.6. Reserved Uniform
  objTOC.addItem("ID_55588844", 2, "12.4.6. Reserved Uniform", "Pages/Page_55588844.html", "PageId_55588876");

// 12.4.7. Checking Shadow Texture Content
  objTOC.addItem("ID_55588844", 2, "12.4.7. Checking Shadow Texture Content", "Pages/Page_55588844.html", "PageId_55588877");

// 12.5. Fog
  objTOC.addItem("ID_55588844", 1, "12.5. Fog", "Pages/Page_55588844.html", "PageId_55588878");

// 12.5.1. Reserved Uniform
  objTOC.addItem("ID_55588844", 2, "12.5.1. Reserved Uniform", "Pages/Page_55588844.html", "PageId_55588879");

// 12.5.2. Creating and Specifying Lookup Tables
  objTOC.addItem("ID_55588844", 2, "12.5.2. Creating and Specifying Lookup Tables", "Pages/Page_55588844.html", "PageId_55588884");

// 12.6. Gas Rendering
  objTOC.addItem("ID_55588844", 1, "12.6. Gas Rendering", "Pages/Page_55588844.html", "PageId_55588885");

// 12.6.1. Polygon Object Rendering Pass
  objTOC.addItem("ID_55588844", 2, "12.6.1. Polygon Object Rendering Pass", "Pages/Page_55588844.html", "PageId_55588886");

// 12.6.2. Density Rendering Pass
  objTOC.addItem("ID_55588844", 2, "12.6.2. Density Rendering Pass", "Pages/Page_55588844.html", "PageId_55588887");

// 12.6.3. Shading Pass
  objTOC.addItem("ID_55588844", 2, "12.6.3. Shading Pass", "Pages/Page_55588844.html", "PageId_55588891");

// 12.6.4. Reserved Uniform
  objTOC.addItem("ID_55588844", 2, "12.6.4. Reserved Uniform", "Pages/Page_55588844.html", "PageId_55588898");

// 13. Per-Fragment Operations
  objTOC.addHeader("ID_55588899", 0, "13. Per-Fragment Operations", "Pages/Page_55588899.html", "");

// 13.1. Alpha Test
  objTOC.addItem("ID_55588899", 1, "13.1. Alpha Test", "Pages/Page_55588899.html", "PageId_55588900");

// 13.1.1. Reserved Uniform
  objTOC.addItem("ID_55588899", 2, "13.1.1. Reserved Uniform", "Pages/Page_55588899.html", "PageId_55588901");

// 13.2. Stencil Test
  objTOC.addItem("ID_55588899", 1, "13.2. Stencil Test", "Pages/Page_55588899.html", "PageId_55588905");

// 13.2.1. How to Use
  objTOC.addItem("ID_55588899", 2, "13.2.1. How to Use", "Pages/Page_55588899.html", "PageId_55588906");

// 13.3. Early Depth Test
  objTOC.addItem("ID_55588899", 1, "13.3. Early Depth Test", "Pages/Page_55588899.html", "PageId_55588910");

// 13.3.1. How to Use
  objTOC.addItem("ID_55588899", 2, "13.3.1. How to Use", "Pages/Page_55588899.html", "PageId_55588911");

// 13.4. Blending
  objTOC.addItem("ID_55588899", 1, "13.4. Blending", "Pages/Page_55588899.html", "PageId_55588914");

// 13.4.1. How to Use
  objTOC.addItem("ID_55588899", 2, "13.4.1. How to Use", "Pages/Page_55588899.html", "PageId_55588915");

// 13.5. Logical Operations
  objTOC.addItem("ID_55588899", 1, "13.5. Logical Operations", "Pages/Page_55588899.html", "PageId_55588921");

// 13.5.1. How to Use
  objTOC.addItem("ID_55588899", 2, "13.5.1. How to Use", "Pages/Page_55588899.html", "PageId_55588922");

// 13.6. Masking the Framebuffer
  objTOC.addItem("ID_55588899", 1, "13.6. Masking the Framebuffer", "Pages/Page_55588899.html", "PageId_55588925");

// 14. Framebuffer Operations
  objTOC.addHeader("ID_55588926", 0, "14. Framebuffer Operations", "Pages/Page_55588926.html", "");

// 14.1. Reading Pixels
  objTOC.addItem("ID_55588926", 1, "14.1. Reading Pixels", "Pages/Page_55588926.html", "PageId_55588927");

// 14.2. Copying Pixels
  objTOC.addItem("ID_55588926", 1, "14.2. Copying Pixels", "Pages/Page_55588926.html", "PageId_55588928");

// 14.3. Texture Rendering
  objTOC.addItem("ID_55588926", 1, "14.3. Texture Rendering", "Pages/Page_55588926.html", "PageId_55588929");

// 14.4. Clearing the Framebuffer
  objTOC.addItem("ID_55588926", 1, "14.4. Clearing the Framebuffer", "Pages/Page_55588926.html", "PageId_55588930");

// 14.4.1. Clear Color
  objTOC.addItem("ID_55588926", 2, "14.4.1. Clear Color", "Pages/Page_55588926.html", "PageId_55588931");

// 14.4.2. Clear Depth
  objTOC.addItem("ID_55588926", 2, "14.4.2. Clear Depth", "Pages/Page_55588926.html", "PageId_55588932");

// 14.4.3. Clear Stencil
  objTOC.addItem("ID_55588926", 2, "14.4.3. Clear Stencil", "Pages/Page_55588926.html", "PageId_55588933");

// 15. Other
  objTOC.addHeader("ID_55588934", 0, "15. Other", "Pages/Page_55588934.html", "");

// 15.1. glFinish and glFlush Functions
  objTOC.addItem("ID_55588934", 1, "15.1. glFinish and glFlush Functions", "Pages/Page_55588934.html", "PageId_55588935");

// 15.2. Differences From OpenGL ES
  objTOC.addItem("ID_55588934", 1, "15.2. Differences From OpenGL ES", "Pages/Page_55588934.html", "PageId_55588936");

// 15.3. Improving Buffer Access Performance
  objTOC.addItem("ID_55588934", 1, "15.3. Improving Buffer Access Performance", "Pages/Page_55588934.html", "PageId_55588937");

// 15.3.1. Write Access to the Color Buffer
  objTOC.addItem("ID_55588934", 2, "15.3.1. Write Access to the Color Buffer", "Pages/Page_55588934.html", "PageId_55588938");

// 15.3.2. Read Access to the Color Buffer
  objTOC.addItem("ID_55588934", 2, "15.3.2. Read Access to the Color Buffer", "Pages/Page_55588934.html", "PageId_55588939");

// 15.3.3. Write Access to the Depth Buffer
  objTOC.addItem("ID_55588934", 2, "15.3.3. Write Access to the Depth Buffer", "Pages/Page_55588934.html", "PageId_55588940");

// 15.3.4. Read Access to the Depth Buffer
  objTOC.addItem("ID_55588934", 2, "15.3.4. Read Access to the Depth Buffer", "Pages/Page_55588934.html", "PageId_55588941");

// 15.3.5. Write Access to the Stencil Buffer
  objTOC.addItem("ID_55588934", 2, "15.3.5. Write Access to the Stencil Buffer", "Pages/Page_55588934.html", "PageId_55588942");

// 15.3.6. Read Access to the Stencil Buffer
  objTOC.addItem("ID_55588934", 2, "15.3.6. Read Access to the Stencil Buffer", "Pages/Page_55588934.html", "PageId_55588943");

// 15.4. Improving CPU Performance
  objTOC.addItem("ID_55588934", 1, "15.4. Improving CPU Performance", "Pages/Page_55588934.html", "PageId_55588944");

// 15.5. Using Vertex Buffers
  objTOC.addItem("ID_55588934", 1, "15.5. Using Vertex Buffers", "Pages/Page_55588934.html", "PageId_55588945");

// 15.5.1. Data Structure for Vertex Arrays
  objTOC.addItem("ID_55588934", 2, "15.5.1. Data Structure for Vertex Arrays", "Pages/Page_55588934.html", "PageId_55588946");

// 15.6. Getting the Starting Address for Each Buffer Type
  objTOC.addItem("ID_55588934", 1, "15.6. Getting the Starting Address for Each Buffer Type", "Pages/Page_55588934.html", "PageId_55588947");

// 15.7. Number of Bytes Loaded for Various Data Types
  objTOC.addItem("ID_55588934", 1, "15.7. Number of Bytes Loaded for Various Data Types", "Pages/Page_55588934.html", "PageId_55588948");

// 15.7.1. Vertex Buffers
  objTOC.addItem("ID_55588934", 2, "15.7.1. Vertex Buffers", "Pages/Page_55588934.html", "PageId_55588949");

// 15.7.2. Textures
  objTOC.addItem("ID_55588934", 2, "15.7.2. Textures", "Pages/Page_55588934.html", "PageId_55588950");

// 15.7.3. Command Buffer
  objTOC.addItem("ID_55588934", 2, "15.7.3. Command Buffer", "Pages/Page_55588934.html", "PageId_55588951");

// 15.8. Block-Shaped Noise Is Rendered on Some Pixels
  objTOC.addItem("ID_55588934", 1, "15.8. Block-Shaped Noise Is Rendered on Some Pixels", "Pages/Page_55588934.html", "PageId_55588952");

// 15.8.1. Relationship Between Pixels and Block Addresses
  objTOC.addItem("ID_55588934", 2, "15.8.1. Relationship Between Pixels and Block Addresses", "Pages/Page_55588934.html", "PageId_55588953");

// 15.8.1.1. Block 8 Mode
  objTOC.addItem("ID_55588934", 3, "15.8.1.1. Block 8 Mode", "Pages/Page_55588934.html", "PageId_55588954");

// 15.8.1.2. Block 32 Mode
  objTOC.addItem("ID_55588934", 3, "15.8.1.2. Block 32 Mode", "Pages/Page_55588934.html", "PageId_55588955");

// 15.8.2. Workaround #1
  objTOC.addItem("ID_55588934", 2, "15.8.2. Workaround #1", "Pages/Page_55588934.html", "PageId_55588956");

// 15.8.3. Workaround #2
  objTOC.addItem("ID_55588934", 2, "15.8.3. Workaround #2", "Pages/Page_55588934.html", "PageId_55588957");

// 15.8.4. Workaround #3
  objTOC.addItem("ID_55588934", 2, "15.8.4. Workaround #3", "Pages/Page_55588934.html", "PageId_55588958");

// 15.8.4.1. Block 8 Mode
  objTOC.addItem("ID_55588934", 3, "15.8.4.1. Block 8 Mode", "Pages/Page_55588934.html", "PageId_55588959");

// 15.8.4.2. Block 32 Mode
  objTOC.addItem("ID_55588934", 3, "15.8.4.2. Block 32 Mode", "Pages/Page_55588934.html", "PageId_55588960");

// 15.9. Lines Are Rendered in Error and the Region Following the Framebuffer Is Corrupted
  objTOC.addItem("ID_55588934", 1, "15.9. Lines Are Rendered in Error and the Region Following the Framebuffer Is Corrupted", "Pages/Page_55588934.html", "PageId_55588961");

// 15.10. Changing the Priority of Operations Within a Driver
  objTOC.addItem("ID_55588934", 1, "15.10. Changing the Priority of Operations Within a Driver", "Pages/Page_55588934.html", "PageId_55588962");

// 15.11. Functions That Allocate Internal Buffers Within the Library
  objTOC.addItem("ID_55588934", 1, "15.11. Functions That Allocate Internal Buffers Within the Library", "Pages/Page_55588934.html", "PageId_55588963");

// 15.11.1. nngxValidateState, glDraw*
  objTOC.addItem("ID_55588934", 2, "15.11.1. nngxValidateState, glDraw*", "Pages/Page_55588934.html", "PageId_55588964");

// 15.11.2. Command Lists, Display Lists, Textures, and Similar Objects
  objTOC.addItem("ID_55588934", 2, "15.11.2. Command Lists, Display Lists, Textures, and Similar Objects", "Pages/Page_55588934.html", "PageId_55588965");

// 15.12. Analyzing Causes of GPU Hangs
  objTOC.addItem("ID_55588934", 1, "15.12. Analyzing Causes of GPU Hangs", "Pages/Page_55588934.html", "PageId_55588966");

// 15.12.1. Hardware State When the GPU Hangs
  objTOC.addItem("ID_55588934", 2, "15.12.1. Hardware State When the GPU Hangs", "Pages/Page_55588934.html", "PageId_55588967");

// 15.13. Effect of Vertex Attribute Combinations on Vertex Data Transfer Speed
  objTOC.addItem("ID_55588934", 1, "15.13. Effect of Vertex Attribute Combinations on Vertex Data Transfer Speed", "Pages/Page_55588934.html", "PageId_55588968");

// 15.14. Vertex Array Address Alignment
  objTOC.addItem("ID_55588934", 1, "15.14. Vertex Array Address Alignment", "Pages/Page_55588934.html", "PageId_55588969");

// 15.15. GPU Hangs When Multitexture Is Used
  objTOC.addItem("ID_55588934", 1, "15.15. GPU Hangs When Multitexture Is Used", "Pages/Page_55588934.html", "PageId_55588970");

// 15.16. GL_INTERPOLATE Calculations of the Texture Combiner
  objTOC.addItem("ID_55588934", 1, "15.16. GL_INTERPOLATE Calculations of the Texture Combiner", "Pages/Page_55588934.html", "PageId_55588971");

// 15.17. When Render Results Are a Complete Mismatch for Polygons With the Same Vertex Coordinates
  objTOC.addItem("ID_55588934", 1, "15.17. When Render Results Are a Complete Mismatch for Polygons With the Same Vertex Coordinates", "Pages/Page_55588934.html", "PageId_96550376");

  objTOC.addGuidelineSection("HISTORY", 0, "Revision History", "history.html", "");

  objTOC.processTreeData();
  Reassemble.objectTocData = objTOC;
}
