﻿// ConvertInfo : FairlyWrites 7.4.6.2 - 2015/11/05 20:08:45
{
  var objTOC = new TocObject();
  objTOC.setTitle("3DS Programming Manual:<br />System");
  objTOC.setWindowTitle("3DS Programming Manual: System");
  objTOC.disablePrintPage();
  objTOC.setInsertTitlePage(true);
  objTOC.disableDisplayNumber();
  objTOC.disableViewFileIcon();
  objTOC.setBaselevel(0);
  objTOC.setSearchEnabled(true);
  objTOC.setLogoFile("template/img/logo.png");

// 1. Introduction
  objTOC.addHeader("ID_55582437", 0, "1. Introduction", "Pages/Page_55582437.html", "");

// 2. System
  objTOC.addHeader("ID_55582438", 0, "2. System", "Pages/Page_55582438.html", "");

// 2.1. System Block Diagram (SNAKE)
  objTOC.addItem("ID_55582438", 1, "2.1. System Block Diagram (SNAKE)", "Pages/Page_55582438.html", "PageId_55605837");

// 2.2. System Block Diagram (CTR)
  objTOC.addItem("ID_55582438", 1, "2.2. System Block Diagram (CTR)", "Pages/Page_55582438.html", "PageId_55606026");

// 2.3. SoC
  objTOC.addItem("ID_55582438", 1, "2.3. SoC", "Pages/Page_55582438.html", "PageId_55582439");

// 2.3.1. CPU
  objTOC.addItem("ID_55582438", 2, "2.3.1. CPU", "Pages/Page_55582438.html", "PageId_55582440");

// 2.3.2. GPU
  objTOC.addItem("ID_55582438", 2, "2.3.2. GPU", "Pages/Page_55582438.html", "PageId_55582441");

// 2.3.3. VRAM
  objTOC.addItem("ID_55582438", 2, "2.3.3. VRAM", "Pages/Page_55582438.html", "PageId_55582442");

// 2.3.4. Sound DSP
  objTOC.addItem("ID_55582438", 2, "2.3.4. Sound DSP", "Pages/Page_55582438.html", "PageId_55582443");

// 2.4. Main Memory
  objTOC.addItem("ID_55582438", 1, "2.4. Main Memory", "Pages/Page_55582438.html", "PageId_55582444");

// 2.5. Operating Modes
  objTOC.addItem("ID_55582438", 1, "2.5. Operating Modes", "Pages/Page_55582438.html", "PageId_56756383");

// 2.6. LCD
  objTOC.addItem("ID_55582438", 1, "2.6. LCD", "Pages/Page_55582438.html", "PageId_55582445");

// 2.7. Memory Devices
  objTOC.addItem("ID_55582438", 1, "2.7. Memory Devices", "Pages/Page_55582438.html", "PageId_55582446");

// 2.7.1. Game Card Slot
  objTOC.addItem("ID_55582438", 2, "2.7.1. Game Card Slot", "Pages/Page_55582438.html", "PageId_55582447");

// 2.7.1.1. Nintendo 3DS Game Cards
  objTOC.addItem("ID_55582438", 3, "2.7.1.1. Nintendo 3DS Game Cards", "Pages/Page_55582438.html", "PageId_55582448");

// 2.7.2. System NAND Memory
  objTOC.addItem("ID_55582438", 2, "2.7.2. System NAND Memory", "Pages/Page_55582438.html", "PageId_55582449");

// 2.7.3. SD/microSD Card Slot
  objTOC.addItem("ID_55582438", 2, "2.7.3. SD/microSD Card Slot", "Pages/Page_55582438.html", "PageId_55582450");

// 2.8. Input Devices
  objTOC.addItem("ID_55582438", 1, "2.8. Input Devices", "Pages/Page_55582438.html", "PageId_55582451");

// 2.8.1. Key Input
  objTOC.addItem("ID_55582438", 2, "2.8.1. Key Input", "Pages/Page_55582438.html", "PageId_55582452");

// 2.8.2. Accelerometer
  objTOC.addItem("ID_55582438", 2, "2.8.2. Accelerometer", "Pages/Page_55582438.html", "PageId_55582453");

// 2.8.3. Touch Panel
  objTOC.addItem("ID_55582438", 2, "2.8.3. Touch Panel", "Pages/Page_55582438.html", "PageId_55582454");

// 2.8.4. Microphone
  objTOC.addItem("ID_55582438", 2, "2.8.4. Microphone", "Pages/Page_55582438.html", "PageId_55582455");

// 2.8.5. Cameras
  objTOC.addItem("ID_55582438", 2, "2.8.5. Cameras", "Pages/Page_55582438.html", "PageId_55582456");

// 2.8.6. Gyro Sensor
  objTOC.addItem("ID_55582438", 2, "2.8.6. Gyro Sensor", "Pages/Page_55582438.html", "PageId_55582457");

// 2.9. Output Devices
  objTOC.addItem("ID_55582438", 1, "2.9. Output Devices", "Pages/Page_55582438.html", "PageId_55582458");

// 2.9.1. Speakers
  objTOC.addItem("ID_55582438", 2, "2.9.1. Speakers", "Pages/Page_55582438.html", "PageId_55582459");

// 2.9.2. Audio Jack
  objTOC.addItem("ID_55582438", 2, "2.9.2. Audio Jack", "Pages/Page_55582438.html", "PageId_55582460");

// 2.9.3. LED
  objTOC.addItem("ID_55582438", 2, "2.9.3. LED", "Pages/Page_55582438.html", "PageId_55582461");

// 2.10. Communication Devices
  objTOC.addItem("ID_55582438", 1, "2.10. Communication Devices", "Pages/Page_55582438.html", "PageId_55582462");

// 2.10.1. Wireless Communication Module
  objTOC.addItem("ID_55582438", 2, "2.10.1. Wireless Communication Module", "Pages/Page_55582438.html", "PageId_55582463");

// 2.10.2. Infrared Communication Device
  objTOC.addItem("ID_55582438", 2, "2.10.2. Infrared Communication Device", "Pages/Page_55582438.html", "PageId_55582464");

// 2.10.3. Near Field Communication (NFC)
  objTOC.addItem("ID_55582438", 2, "2.10.3. Near Field Communication (NFC)", "Pages/Page_55582438.html", "PageId_56754482");

// 2.11. Other
  objTOC.addItem("ID_55582438", 1, "2.11. Other", "Pages/Page_55582438.html", "PageId_55582465");

// 2.11.1. RTC (Real Time Clock)
  objTOC.addItem("ID_55582438", 2, "2.11.1. RTC (Real Time Clock)", "Pages/Page_55582438.html", "PageId_55582466");

// 2.11.2. Compatibility With the Nintendo DSi
  objTOC.addItem("ID_55582438", 2, "2.11.2. Compatibility With the Nintendo DSi", "Pages/Page_55582438.html", "PageId_55582467");

// 3. Memory and Nintendo 3DS Game Cards
  objTOC.addHeader("ID_55582468", 0, "3. Memory and Nintendo 3DS Game Cards", "Pages/Page_55582468.html", "");

// 3.1. Memory
  objTOC.addItem("ID_55582468", 1, "3.1. Memory", "Pages/Page_55582468.html", "PageId_55582469");

// 3.1.1. Memory Map
  objTOC.addItem("ID_55582468", 2, "3.1.1. Memory Map", "Pages/Page_55582468.html", "PageId_55582470");

// 3.1.2. Device Memory
  objTOC.addItem("ID_55582468", 2, "3.1.2. Device Memory", "Pages/Page_55582468.html", "PageId_55582471");

// 3.1.3. VRAM
  objTOC.addItem("ID_55582468", 2, "3.1.3. VRAM", "Pages/Page_55582468.html", "PageId_55582472");

// 3.1.4. Heap Memory
  objTOC.addItem("ID_55582468", 2, "3.1.4. Heap Memory", "Pages/Page_55582468.html", "PageId_55582473");

// 3.2. Nintendo 3DS Game Cards
  objTOC.addItem("ID_55582468", 1, "3.2. Nintendo 3DS Game Cards", "Pages/Page_55582468.html", "PageId_55582474");

// 3.2.1. CARD1
  objTOC.addItem("ID_55582468", 2, "3.2.1. CARD1", "Pages/Page_55582468.html", "PageId_55582475");

// 3.2.1.1. ROM
  objTOC.addItem("ID_55582468", 3, "3.2.1.1. ROM", "Pages/Page_55582468.html", "PageId_55582476");

// 3.2.1.2. Backup Memory
  objTOC.addItem("ID_55582468", 3, "3.2.1.2. Backup Memory", "Pages/Page_55582468.html", "PageId_55582477");

// 3.2.2. CARD2
  objTOC.addItem("ID_55582468", 2, "3.2.2. CARD2", "Pages/Page_55582468.html", "PageId_55582478");

// 3.2.2.1. Writable Memory
  objTOC.addItem("ID_55582468", 3, "3.2.2.1. Writable Memory", "Pages/Page_55582468.html", "PageId_55582479");

// 4. Software Configuration
  objTOC.addHeader("ID_55582480", 0, "4. Software Configuration", "Pages/Page_55582480.html", "");

// 4.1. Applications
  objTOC.addItem("ID_55582480", 1, "4.1. Applications", "Pages/Page_55582480.html", "PageId_55582481");

// 4.2. Standard and Extended Applications
  objTOC.addItem("ID_55582480", 1, "4.2. Standard and Extended Applications", "Pages/Page_55582480.html", "PageId_56758514");

// 4.2.1. Creating a Standard Application
  objTOC.addItem("ID_55582480", 2, "4.2.1. Creating a Standard Application", "Pages/Page_55582480.html", "PageId_56758596");

// 4.2.2. Creating an Extended Application
  objTOC.addItem("ID_55582480", 2, "4.2.2. Creating an Extended Application", "Pages/Page_55582480.html", "PageId_56758601");

// 4.2.3. Things to Note When Using Extended Mode
  objTOC.addItem("ID_55582480", 2, "4.2.3. Things to Note When Using Extended Mode", "Pages/Page_55582480.html", "PageId_56759311");

// 4.2.4. When the Operating Mode Changes
  objTOC.addItem("ID_55582480", 2, "4.2.4. When the Operating Mode Changes", "Pages/Page_55582480.html", "PageId_56759330");

// 4.2.5. Changing Application Behavior on SNAKE and CTR
  objTOC.addItem("ID_55582480", 2, "4.2.5. Changing Application Behavior on SNAKE and CTR", "Pages/Page_55582480.html", "PageId_56760643");

// 4.2.6. SNAKE-Only Titles
  objTOC.addItem("ID_55582480", 2, "4.2.6. SNAKE-Only Titles", "Pages/Page_55582480.html", "PageId_68590800");

// 4.3. What the SDK Provides
  objTOC.addItem("ID_55582480", 1, "4.3. What the SDK Provides", "Pages/Page_55582480.html", "PageId_55582482");

// 4.3.1. Applets
  objTOC.addItem("ID_55582480", 2, "4.3.1. Applets", "Pages/Page_55582480.html", "PageId_55582483");

// 4.3.2. Libraries
  objTOC.addItem("ID_55582480", 2, "4.3.2. Libraries", "Pages/Page_55582480.html", "PageId_55582484");

// 4.4. Error Handling
  objTOC.addItem("ID_55582480", 1, "4.4. Error Handling", "Pages/Page_55582480.html", "PageId_55582485");

// 5. Initializing Applications and Handling State Transitions
  objTOC.addHeader("ID_55582486", 0, "5. Initializing Applications and Handling State Transitions", "Pages/Page_55582486.html", "");

// 5.1. Initialization Prior to Calling the Entry Function
  objTOC.addItem("ID_55582486", 1, "5.1. Initialization Prior to Calling the Entry Function", "Pages/Page_55582486.html", "PageId_55582487");

// 5.2. Entry Function
  objTOC.addItem("ID_55582486", 1, "5.2. Entry Function", "Pages/Page_55582486.html", "PageId_55582488");

// 5.3. Initializing the APPLET Library
  objTOC.addItem("ID_55582486", 1, "5.3. Initializing the APPLET Library", "Pages/Page_55582486.html", "PageId_55582489");

// 5.3.1. Handling Application Close Requests
  objTOC.addItem("ID_55582486", 2, "5.3.1. Handling Application Close Requests", "Pages/Page_55582486.html", "PageId_55582490");

// 5.3.1.1. Cautions When Shutting Down
  objTOC.addItem("ID_55582486", 3, "5.3.1.1. Cautions When Shutting Down", "Pages/Page_55582486.html", "PageId_55582491");

// 5.3.2. Handling HOME Button Presses
  objTOC.addItem("ID_55582486", 2, "5.3.2. Handling HOME Button Presses", "Pages/Page_55582486.html", "PageId_55582492");

// 5.3.2.1. What an Application Can Do Before Starting the HOME Menu
  objTOC.addItem("ID_55582486", 3, "5.3.2.1. What an Application Can Do Before Starting the HOME Menu", "Pages/Page_55582486.html", "PageId_55582494");

// 5.3.2.2. Displaying the HOME Menu Disabled Icon
  objTOC.addItem("ID_55582486", 3, "5.3.2.2. Displaying the HOME Menu Disabled Icon", "Pages/Page_55582486.html", "PageId_55582495");

// 5.3.2.3. Prohibiting the Posting of Screenshots
  objTOC.addItem("ID_55582486", 3, "5.3.2.3. Prohibiting the Posting of Screenshots", "Pages/Page_55582486.html", "PageId_55582496");

// 5.3.3. Sleep Handling
  objTOC.addItem("ID_55582486", 2, "5.3.3. Sleep Handling", "Pages/Page_55582486.html", "PageId_55582497");

// 5.3.3.1. Sleep Query Callback
  objTOC.addItem("ID_55582486", 3, "5.3.3.1. Sleep Query Callback", "Pages/Page_55582486.html", "PageId_55582498");

// 5.3.3.2. Sleep Recovery Callback
  objTOC.addItem("ID_55582486", 3, "5.3.3.2. Sleep Recovery Callback", "Pages/Page_55582486.html", "PageId_55582499");

// 5.3.3.3. Sleep Cancel Callback
  objTOC.addItem("ID_55582486", 3, "5.3.3.3. Sleep Cancel Callback", "Pages/Page_55582486.html", "PageId_55582500");

// 5.3.3.4. Prohibited Processes While in Sleep Mode
  objTOC.addItem("ID_55582486", 3, "5.3.3.4. Prohibited Processes While in Sleep Mode", "Pages/Page_55582486.html", "PageId_55582501");

// 5.3.3.5. Device State When the System Is Closed
  objTOC.addItem("ID_55582486", 3, "5.3.3.5. Device State When the System Is Closed", "Pages/Page_55582486.html", "PageId_55582502");

// 5.3.4. Handling the POWER Button
  objTOC.addItem("ID_55582486", 2, "5.3.4. Handling the POWER Button", "Pages/Page_55582486.html", "PageId_55582503");

// 5.3.5. Example of Handling by the Application
  objTOC.addItem("ID_55582486", 2, "5.3.5. Example of Handling by the Application", "Pages/Page_55582486.html", "PageId_55582504");

// 5.3.6. Restarting an Application
  objTOC.addItem("ID_55582486", 2, "5.3.6. Restarting an Application", "Pages/Page_55582486.html", "PageId_55582505");

// 5.3.7. Jump to System Settings
  objTOC.addItem("ID_55582486", 2, "5.3.7. Jump to System Settings", "Pages/Page_55582486.html", "PageId_55582506");

// 5.3.8. Initial Parameters That Can Be Obtained at Startup
  objTOC.addItem("ID_55582486", 2, "5.3.8. Initial Parameters That Can Be Obtained at Startup", "Pages/Page_55582486.html", "PageId_55582508");

// 5.3.9. Jump to Nintendo eShop
  objTOC.addItem("ID_55582486", 2, "5.3.9. Jump to Nintendo eShop", "Pages/Page_55582486.html", "PageId_55582507");

// 5.3.10. Jump to E-manual
  objTOC.addItem("ID_55582486", 2, "5.3.10. Jump to E-manual", "Pages/Page_55582486.html", "PageId_68586235");

// 5.4. Initializing the FS Library
  objTOC.addItem("ID_55582486", 1, "5.4. Initializing the FS Library", "Pages/Page_55582486.html", "PageId_55582509");

// 5.5. Initializing the GX Library
  objTOC.addItem("ID_55582486", 1, "5.5. Initializing the GX Library", "Pages/Page_55582486.html", "PageId_55582510");

// 5.5.1. Initializing the Library
  objTOC.addItem("ID_55582486", 2, "5.5.1. Initializing the Library", "Pages/Page_55582486.html", "PageId_55582511");

// 5.5.1.1. Allocator
  objTOC.addItem("ID_55582486", 3, "5.5.1.1. Allocator", "Pages/Page_55582486.html", "PageId_55582512");

// 5.5.1.2. Deallocator
  objTOC.addItem("ID_55582486", 3, "5.5.1.2. Deallocator", "Pages/Page_55582486.html", "PageId_55582513");

// 5.5.2. Creating a Command-List Object
  objTOC.addItem("ID_55582486", 2, "5.5.2. Creating a Command-List Object", "Pages/Page_55582486.html", "PageId_55582514");

// 5.5.3. Allocating Memory for the Display Buffer and Render Buffer
  objTOC.addItem("ID_55582486", 2, "5.5.3. Allocating Memory for the Display Buffer and Render Buffer", "Pages/Page_55582486.html", "PageId_55582515");

// 5.6. Memory Management
  objTOC.addItem("ID_55582486", 1, "5.6. Memory Management", "Pages/Page_55582486.html", "PageId_55582516");

// 5.6.1. Memory Blocks
  objTOC.addItem("ID_55582486", 2, "5.6.1. Memory Blocks", "Pages/Page_55582486.html", "PageId_55582517");

// 5.6.2. Frame Heaps
  objTOC.addItem("ID_55582486", 2, "5.6.2. Frame Heaps", "Pages/Page_55582486.html", "PageId_55582518");

// 5.6.3. Unit Heaps
  objTOC.addItem("ID_55582486", 2, "5.6.3. Unit Heaps", "Pages/Page_55582486.html", "PageId_55582519");

// 5.6.4. Expanded Heaps
  objTOC.addItem("ID_55582486", 2, "5.6.4. Expanded Heaps", "Pages/Page_55582486.html", "PageId_55582520");

// 5.7. DLL Features (RO Library)
  objTOC.addItem("ID_55582486", 1, "5.7. DLL Features (RO Library)", "Pages/Page_55582486.html", "PageId_55582521");

// 5.7.1. DLL Glossary
  objTOC.addItem("ID_55582486", 2, "5.7.1. DLL Glossary", "Pages/Page_55582486.html", "PageId_55582522");

// 5.7.2. Characteristics and Limitations of the RO Library
  objTOC.addItem("ID_55582486", 2, "5.7.2. Characteristics and Limitations of the RO Library", "Pages/Page_55582486.html", "PageId_55582531");

// 5.7.3. Files Used by the RO Library
  objTOC.addItem("ID_55582486", 2, "5.7.3. Files Used by the RO Library", "Pages/Page_55582486.html", "PageId_55582532");

// 5.7.4. Importing and Exporting
  objTOC.addItem("ID_55582486", 2, "5.7.4. Importing and Exporting", "Pages/Page_55582486.html", "PageId_55582533");

// 5.7.5. A Comparison of Export Types
  objTOC.addItem("ID_55582486", 2, "5.7.5. A Comparison of Export Types", "Pages/Page_55582486.html", "PageId_55582534");

// 5.7.6. Special Dynamic Module Functions
  objTOC.addItem("ID_55582486", 2, "5.7.6. Special Dynamic Module Functions", "Pages/Page_55582486.html", "PageId_55582535");

// 5.7.7. Basic Workflow
  objTOC.addItem("ID_55582486", 2, "5.7.7. Basic Workflow", "Pages/Page_55582486.html", "PageId_55582536");

// 5.7.7.1. Initialize the RO Library
  objTOC.addItem("ID_55582486", 3, "5.7.7.1. Initialize the RO Library", "Pages/Page_55582486.html", "PageId_55582537");

// 5.7.7.2. Register Management Data
  objTOC.addItem("ID_55582486", 3, "5.7.7.2. Register Management Data", "Pages/Page_55582486.html", "PageId_55582538");

// 5.7.7.3. Load Dynamic Modules
  objTOC.addItem("ID_55582486", 3, "5.7.7.3. Load Dynamic Modules", "Pages/Page_55582486.html", "PageId_55582539");

// 5.7.7.4. Start to Use Dynamic Modules
  objTOC.addItem("ID_55582486", 3, "5.7.7.4. Start to Use Dynamic Modules", "Pages/Page_55582486.html", "PageId_55582540");

// 5.7.7.5. Finalize Dynamic Modules
  objTOC.addItem("ID_55582486", 3, "5.7.7.5. Finalize Dynamic Modules", "Pages/Page_55582486.html", "PageId_55582541");

// 5.7.7.6. Unregister Management Data
  objTOC.addItem("ID_55582486", 3, "5.7.7.6. Unregister Management Data", "Pages/Page_55582486.html", "PageId_55582542");

// 5.7.7.7. Finalize the RO Library
  objTOC.addItem("ID_55582486", 3, "5.7.7.7. Finalize the RO Library", "Pages/Page_55582486.html", "PageId_55582543");

// 5.7.8. Enumeration and Searching of Dynamic Modules
  objTOC.addItem("ID_55582486", 2, "5.7.8. Enumeration and Searching of Dynamic Modules", "Pages/Page_55582486.html", "PageId_55582544");

// 5.7.9. Information About the Memory Region Used by Dynamic Modules
  objTOC.addItem("ID_55582486", 2, "5.7.9. Information About the Memory Region Used by Dynamic Modules", "Pages/Page_55582486.html", "PageId_55582545");

// 6. Input Devices
  objTOC.addHeader("ID_55582546", 0, "6. Input Devices", "Pages/Page_55582546.html", "");

// 6.1. Libraries That Use Devices
  objTOC.addItem("ID_55582546", 1, "6.1. Libraries That Use Devices", "Pages/Page_55582546.html", "PageId_55582547");

// 6.2. HID Library
  objTOC.addItem("ID_55582546", 1, "6.2. HID Library", "Pages/Page_55582546.html", "PageId_55582548");

// 6.2.1. Digital Buttons and Circle Pad
  objTOC.addItem("ID_55582546", 2, "6.2.1. Digital Buttons and Circle Pad", "Pages/Page_55582546.html", "PageId_55582549");

// 6.2.1.1. Circle Pad Hardware Performance
  objTOC.addItem("ID_55582546", 3, "6.2.1.1. Circle Pad Hardware Performance", "Pages/Page_55582546.html", "PageId_55582555");

// 6.2.2. Touch Panel
  objTOC.addItem("ID_55582546", 2, "6.2.2. Touch Panel", "Pages/Page_55582546.html", "PageId_55582556");

// 6.2.3. Accelerometer
  objTOC.addItem("ID_55582546", 2, "6.2.3. Accelerometer", "Pages/Page_55582546.html", "PageId_55582557");

// 6.2.3.1. Cautions for Implementing Application-Specific Calibration Routines
  objTOC.addItem("ID_55582546", 3, "6.2.3.1. Cautions for Implementing Application-Specific Calibration Routines", "Pages/Page_55582546.html", "PageId_55582558");

// 6.2.4. Gyro Sensor
  objTOC.addItem("ID_55582546", 2, "6.2.4. Gyro Sensor", "Pages/Page_55582546.html", "PageId_55582559");

// 6.2.5. Debug Pad (Control Pad for Debugging)
  objTOC.addItem("ID_55582546", 2, "6.2.5. Debug Pad (Control Pad for Debugging)", "Pages/Page_55582546.html", "PageId_55582560");

// 6.2.6. Circle Pad Pro
  objTOC.addItem("ID_55582546", 2, "6.2.6. Circle Pad Pro", "Pages/Page_55582546.html", "PageId_55582561");

// 6.2.6.1. Hardware Internal States
  objTOC.addItem("ID_55582546", 3, "6.2.6.1. Hardware Internal States", "Pages/Page_55582546.html", "PageId_55582562");

// 6.2.6.2. Software Internal State
  objTOC.addItem("ID_55582546", 3, "6.2.6.2. Software Internal State", "Pages/Page_55582546.html", "PageId_55582563");

// 6.2.6.3. Initializing
  objTOC.addItem("ID_55582546", 3, "6.2.6.3. Initializing", "Pages/Page_55582546.html", "PageId_55582564");

// 6.2.6.4. Sampling Start and State Acquisition
  objTOC.addItem("ID_55582546", 3, "6.2.6.4. Sampling Start and State Acquisition", "Pages/Page_55582546.html", "PageId_55582565");

// 6.2.6.5. Stop Sampling
  objTOC.addItem("ID_55582546", 3, "6.2.6.5. Stop Sampling", "Pages/Page_55582546.html", "PageId_55582566");

// 6.2.6.6. Getting Sampling Results
  objTOC.addItem("ID_55582546", 3, "6.2.6.6. Getting Sampling Results", "Pages/Page_55582546.html", "PageId_55582567");

// 6.2.6.7. Circle Pad Clamp Processing
  objTOC.addItem("ID_55582546", 3, "6.2.6.7. Circle Pad Clamp Processing", "Pages/Page_55582546.html", "PageId_55582568");

// 6.2.6.8. Event Notification
  objTOC.addItem("ID_55582546", 3, "6.2.6.8. Event Notification", "Pages/Page_55582546.html", "PageId_55582569");

// 6.2.6.9. Calibration Applet
  objTOC.addItem("ID_55582546", 3, "6.2.6.9. Calibration Applet", "Pages/Page_55582546.html", "PageId_55582570");

// 6.2.6.10. Differences Between the Circle Pad and the Circle Pad (R)
  objTOC.addItem("ID_55582546", 3, "6.2.6.10. Differences Between the Circle Pad and the Circle Pad (R)", "Pages/Page_55582546.html", "PageId_55582571");

// 6.2.7. C Stick
  objTOC.addItem("ID_55582546", 2, "6.2.7. C Stick", "Pages/Page_55582546.html", "PageId_57065985");

// 6.2.7.1. Properties of C Stick Hardware
  objTOC.addItem("ID_55582546", 3, "6.2.7.1. Properties of C Stick Hardware", "Pages/Page_55582546.html", "PageId_57066431");

// 6.2.7.2. Differences From the Circle Pad Pro
  objTOC.addItem("ID_55582546", 3, "6.2.7.2. Differences From the Circle Pad Pro", "Pages/Page_55582546.html", "PageId_57066847");

// 6.3. MIC Library
  objTOC.addItem("ID_55582546", 1, "6.3. MIC Library", "Pages/Page_55582546.html", "PageId_55582572");

// 6.3.1. Buffer Allocation
  objTOC.addItem("ID_55582546", 2, "6.3.1. Buffer Allocation", "Pages/Page_55582546.html", "PageId_55582573");

// 6.3.2. Microphone Gain Settings
  objTOC.addItem("ID_55582546", 2, "6.3.2. Microphone Gain Settings", "Pages/Page_55582546.html", "PageId_55582574");

// 6.3.3. Microphone Power Control
  objTOC.addItem("ID_55582546", 2, "6.3.3. Microphone Power Control", "Pages/Page_55582546.html", "PageId_55582575");

// 6.3.4. Start Sampling
  objTOC.addItem("ID_55582546", 2, "6.3.4. Start Sampling", "Pages/Page_55582546.html", "PageId_55582576");

// 6.3.4.1. Synchronization With Sound Processing
  objTOC.addItem("ID_55582546", 3, "6.3.4.1. Synchronization With Sound Processing", "Pages/Page_55582546.html", "PageId_55582577");

// 6.3.5. Getting Sampling Results
  objTOC.addItem("ID_55582546", 2, "6.3.5. Getting Sampling Results", "Pages/Page_55582546.html", "PageId_55582578");

// 6.3.5.1. Prohibited Ranges for Microphone Input Determination
  objTOC.addItem("ID_55582546", 3, "6.3.5.1. Prohibited Ranges for Microphone Input Determination", "Pages/Page_55582546.html", "PageId_55582579");

// 6.3.6. Stop Sampling
  objTOC.addItem("ID_55582546", 2, "6.3.6. Stop Sampling", "Pages/Page_55582546.html", "PageId_55582580");

// 6.3.7. Closing the MIC Library
  objTOC.addItem("ID_55582546", 2, "6.3.7. Closing the MIC Library", "Pages/Page_55582546.html", "PageId_55582581");

// 6.4. Camera Library and Y2R Library
  objTOC.addItem("ID_55582546", 1, "6.4. Camera Library and Y2R Library", "Pages/Page_55582546.html", "PageId_55582582");

// 6.4.1. Initializing
  objTOC.addItem("ID_55582546", 2, "6.4.1. Initializing", "Pages/Page_55582546.html", "PageId_55582583");

// 6.4.2. Photography Environment Settings
  objTOC.addItem("ID_55582546", 2, "6.4.2. Photography Environment Settings", "Pages/Page_55582546.html", "PageId_55582584");

// 6.4.3. Capture Settings
  objTOC.addItem("ID_55582546", 2, "6.4.3. Capture Settings", "Pages/Page_55582546.html", "PageId_55582598");

// 6.4.4. Starting Capture
  objTOC.addItem("ID_55582546", 2, "6.4.4. Starting Capture", "Pages/Page_55582546.html", "PageId_55582603");

// 6.4.5. YUVtoRGB Circuit Settings
  objTOC.addItem("ID_55582546", 2, "6.4.5. YUVtoRGB Circuit Settings", "Pages/Page_55582546.html", "PageId_55582604");

// 6.4.6. Starting Format Conversion
  objTOC.addItem("ID_55582546", 2, "6.4.6. Starting Format Conversion", "Pages/Page_55582546.html", "PageId_55582613");

// 6.4.7. Playing the Shutter Sound
  objTOC.addItem("ID_55582546", 2, "6.4.7. Playing the Shutter Sound", "Pages/Page_55582546.html", "PageId_55582614");

// 6.4.8. Ending Capture
  objTOC.addItem("ID_55582546", 2, "6.4.8. Ending Capture", "Pages/Page_55582546.html", "PageId_55582615");

// 6.4.9. Support for Sleep Mode
  objTOC.addItem("ID_55582546", 2, "6.4.9. Support for Sleep Mode", "Pages/Page_55582546.html", "PageId_55582616");

// 6.4.10. Conflicts With Camera Mode
  objTOC.addItem("ID_55582546", 2, "6.4.10. Conflicts With Camera Mode", "Pages/Page_55582546.html", "PageId_55582617");

// 7. File System
  objTOC.addHeader("ID_55582618", 0, "7. File System", "Pages/Page_55582618.html", "");

// 7.1. FS Library
  objTOC.addItem("ID_55582618", 1, "7.1. FS Library", "Pages/Page_55582618.html", "PageId_55582619");

// 7.1.1. Initializing
  objTOC.addItem("ID_55582618", 2, "7.1.1. Initializing", "Pages/Page_55582618.html", "PageId_55582620");

// 7.1.2. Finalizing
  objTOC.addItem("ID_55582618", 2, "7.1.2. Finalizing", "Pages/Page_55582618.html", "PageId_55582621");

// 7.1.3. Specifying Paths
  objTOC.addItem("ID_55582618", 2, "7.1.3. Specifying Paths", "Pages/Page_55582618.html", "PageId_55582622");

// 7.1.4. Accessing Files
  objTOC.addItem("ID_55582618", 2, "7.1.4. Accessing Files", "Pages/Page_55582618.html", "PageId_55582623");

// 7.1.4.1. nn::fs::FileInputStream Class
  objTOC.addItem("ID_55582618", 3, "7.1.4.1. nn::fs::FileInputStream Class", "Pages/Page_55582618.html", "PageId_55582624");

// 7.1.4.2. nn::fs::FileOutputStream Class
  objTOC.addItem("ID_55582618", 3, "7.1.4.2. nn::fs::FileOutputStream Class", "Pages/Page_55582618.html", "PageId_55582625");

// 7.1.4.3. nn::fs::FileStream Class
  objTOC.addItem("ID_55582618", 3, "7.1.4.3. nn::fs::FileStream Class", "Pages/Page_55582618.html", "PageId_55582626");

// 7.1.5. Accessing Directories
  objTOC.addItem("ID_55582618", 2, "7.1.5. Accessing Directories", "Pages/Page_55582618.html", "PageId_55582627");

// 7.1.5.1. nn::fs::Directory Class
  objTOC.addItem("ID_55582618", 3, "7.1.5.1. nn::fs::Directory Class", "Pages/Page_55582618.html", "PageId_55582628");

// 7.1.6. File and Directory Operations
  objTOC.addItem("ID_55582618", 2, "7.1.6. File and Directory Operations", "Pages/Page_55582618.html", "PageId_55582629");

// 7.1.6.1. Creating Files
  objTOC.addItem("ID_55582618", 3, "7.1.6.1. Creating Files", "Pages/Page_55582618.html", "PageId_55582630");

// 7.1.6.2. Renaming Files
  objTOC.addItem("ID_55582618", 3, "7.1.6.2. Renaming Files", "Pages/Page_55582618.html", "PageId_55582631");

// 7.1.6.3. Deleting Files
  objTOC.addItem("ID_55582618", 3, "7.1.6.3. Deleting Files", "Pages/Page_55582618.html", "PageId_55582632");

// 7.1.6.4. Creating Directories
  objTOC.addItem("ID_55582618", 3, "7.1.6.4. Creating Directories", "Pages/Page_55582618.html", "PageId_55582633");

// 7.1.6.5. Renaming Directories
  objTOC.addItem("ID_55582618", 3, "7.1.6.5. Renaming Directories", "Pages/Page_55582618.html", "PageId_55582634");

// 7.1.6.6. Deleting Directories
  objTOC.addItem("ID_55582618", 3, "7.1.6.6. Deleting Directories", "Pages/Page_55582618.html", "PageId_55582635");

// 7.1.7. Checking the SD Card State
  objTOC.addItem("ID_55582618", 2, "7.1.7. Checking the SD Card State", "Pages/Page_55582618.html", "PageId_55582636");

// 7.1.8. Latency Emulation
  objTOC.addItem("ID_55582618", 2, "7.1.8. Latency Emulation", "Pages/Page_55582618.html", "PageId_55582637");

// 7.1.9. Access Priority Settings
  objTOC.addItem("ID_55582618", 2, "7.1.9. Access Priority Settings", "Pages/Page_55582618.html", "PageId_55582638");

// 7.1.9.1. Types of Access Priority
  objTOC.addItem("ID_55582618", 3, "7.1.9.1. Types of Access Priority", "Pages/Page_55582618.html", "PageId_55582639");

// 7.1.9.2. Access Priority Setting Targets
  objTOC.addItem("ID_55582618", 3, "7.1.9.2. Access Priority Setting Targets", "Pages/Page_55582618.html", "PageId_55582640");

// 7.1.9.3. Cautions
  objTOC.addItem("ID_55582618", 3, "7.1.9.3. Cautions", "Pages/Page_55582618.html", "PageId_55582641");

// 7.1.10. Restriction on the Number of Files and Directories Opened Simultaneously
  objTOC.addItem("ID_55582618", 2, "7.1.10. Restriction on the Number of Files and Directories Opened Simultaneously", "Pages/Page_55582618.html", "PageId_55582642");

// 7.2. ROM Archives
  objTOC.addItem("ID_55582618", 1, "7.2. ROM Archives", "Pages/Page_55582618.html", "PageId_55582643");

// 7.2.1. Specifying Archive Names
  objTOC.addItem("ID_55582618", 2, "7.2.1. Specifying Archive Names", "Pages/Page_55582618.html", "PageId_55582644");

// 7.3. Save Data
  objTOC.addItem("ID_55582618", 1, "7.3. Save Data", "Pages/Page_55582618.html", "PageId_55582645");

// 7.3.1. Measures Against Rollback of Save Data
  objTOC.addItem("ID_55582618", 2, "7.3.1. Measures Against Rollback of Save Data", "Pages/Page_55582618.html", "PageId_55582646");

// 7.3.2. Handling Errors When Files or Directories Do Not Exist
  objTOC.addItem("ID_55582618", 2, "7.3.2. Handling Errors When Files or Directories Do Not Exist", "Pages/Page_55582618.html", "PageId_55582647");

// 7.4. Extended Save Data
  objTOC.addItem("ID_55582618", 1, "7.4. Extended Save Data", "Pages/Page_55582618.html", "PageId_55582648");

// 7.4.1. Uses of Extended Save Data
  objTOC.addItem("ID_55582618", 2, "7.4.1. Uses of Extended Save Data", "Pages/Page_55582618.html", "PageId_55582649");

// 7.4.1.1. Application-Specific Data
  objTOC.addItem("ID_55582618", 3, "7.4.1.1. Application-Specific Data", "Pages/Page_55582618.html", "PageId_55582650");

// 7.4.1.2. Data Shared by a Series
  objTOC.addItem("ID_55582618", 3, "7.4.1.2. Data Shared by a Series", "Pages/Page_55582618.html", "PageId_55582651");

// 7.4.1.3. Downloaded Data
  objTOC.addItem("ID_55582618", 3, "7.4.1.3. Downloaded Data", "Pages/Page_55582618.html", "PageId_55582652");

// 7.4.1.4. Contextual CTR Banner Data
  objTOC.addItem("ID_55582618", 3, "7.4.1.4. Contextual CTR Banner Data", "Pages/Page_55582618.html", "PageId_55582653");

// 7.4.2. Access From Multiple Game Cards
  objTOC.addItem("ID_55582618", 2, "7.4.2. Access From Multiple Game Cards", "Pages/Page_55582618.html", "PageId_55582654");

// 7.4.3. Accessing Multiple Items of Extended Save Data
  objTOC.addItem("ID_55582618", 2, "7.4.3. Accessing Multiple Items of Extended Save Data", "Pages/Page_55582618.html", "PageId_55582655");

// 7.5. Archives That Directly Access SD Cards
  objTOC.addItem("ID_55582618", 1, "7.5. Archives That Directly Access SD Cards", "Pages/Page_55582618.html", "PageId_55582656");

// 7.6. Media-Specific Cautions
  objTOC.addItem("ID_55582618", 1, "7.6. Media-Specific Cautions", "Pages/Page_55582618.html", "PageId_55582657");

// 7.6.1. Nintendo 3DS Cards
  objTOC.addItem("ID_55582618", 2, "7.6.1. Nintendo 3DS Cards", "Pages/Page_55582618.html", "PageId_55582658");

// 7.6.2. SD Memory Cards
  objTOC.addItem("ID_55582618", 2, "7.6.2. SD Memory Cards", "Pages/Page_55582618.html", "PageId_55582660");

// 7.7. Difference Between Save Data and Extended Save Data
  objTOC.addItem("ID_55582618", 1, "7.7. Difference Between Save Data and Extended Save Data", "Pages/Page_55582618.html", "PageId_55582664");

// 7.7.1. Characteristics of Save Data and Extended Save Data
  objTOC.addItem("ID_55582618", 2, "7.7.1. Characteristics of Save Data and Extended Save Data", "Pages/Page_55582618.html", "PageId_55582665");

// 7.7.2. Policy for Selecting the Storage Location for Data
  objTOC.addItem("ID_55582618", 2, "7.7.2. Policy for Selecting the Storage Location for Data", "Pages/Page_55582618.html", "PageId_55582666");

// 8. Time
  objTOC.addHeader("ID_55582667", 0, "8. Time", "Pages/Page_55582667.html", "");

// 8.1. Class for Representing Time
  objTOC.addItem("ID_55582667", 1, "8.1. Class for Representing Time", "Pages/Page_55582667.html", "PageId_55582668");

// 8.2. Ticks
  objTOC.addItem("ID_55582667", 1, "8.2. Ticks", "Pages/Page_55582667.html", "PageId_55582669");

// 8.3. Timers
  objTOC.addItem("ID_55582667", 1, "8.3. Timers", "Pages/Page_55582667.html", "PageId_55582670");

// 8.4. Alarms
  objTOC.addItem("ID_55582667", 1, "8.4. Alarms", "Pages/Page_55582667.html", "PageId_55582671");

// 8.5. RTC
  objTOC.addItem("ID_55582667", 1, "8.5. RTC", "Pages/Page_55582667.html", "PageId_55582672");

// 8.5.1. Class for Representing Dates and Times
  objTOC.addItem("ID_55582667", 2, "8.5.1. Class for Representing Dates and Times", "Pages/Page_55582667.html", "PageId_55582673");

// 8.5.2. RTC Alarm Feature
  objTOC.addItem("ID_55582667", 2, "8.5.2. RTC Alarm Feature", "Pages/Page_55582667.html", "PageId_55582674");

// 8.5.3. Handling Time Modification Offset Values
  objTOC.addItem("ID_55582667", 2, "8.5.3. Handling Time Modification Offset Values", "Pages/Page_55582667.html", "PageId_55582675");

// 8.6. Mixed Use of Ticks and RTCs Prohibited
  objTOC.addItem("ID_55582667", 1, "8.6. Mixed Use of Ticks and RTCs Prohibited", "Pages/Page_55582667.html", "PageId_55582676");

// 9. Threads
  objTOC.addHeader("ID_55582677", 0, "9. Threads", "Pages/Page_55582677.html", "");

// 9.1. Initializing and Starting
  objTOC.addItem("ID_55582677", 1, "9.1. Initializing and Starting", "Pages/Page_55582677.html", "PageId_55582678");

// 9.1.1. Running Application Threads in the System Core
  objTOC.addItem("ID_55582677", 2, "9.1.1. Running Application Threads in the System Core", "Pages/Page_55582677.html", "PageId_55582679");

// 9.1.2. ManagedThread Class
  objTOC.addItem("ID_55582677", 2, "9.1.2. ManagedThread Class", "Pages/Page_55582677.html", "PageId_55582680");

// 9.2. Thread Functions
  objTOC.addItem("ID_55582677", 1, "9.2. Thread Functions", "Pages/Page_55582677.html", "PageId_55582681");

// 9.3. Completion and Destruction
  objTOC.addItem("ID_55582677", 1, "9.3. Completion and Destruction", "Pages/Page_55582677.html", "PageId_55582682");

// 9.4. Scheduling
  objTOC.addItem("ID_55582677", 1, "9.4. Scheduling", "Pages/Page_55582677.html", "PageId_55582683");

// 9.5. Getting and Setting Parameters
  objTOC.addItem("ID_55582677", 1, "9.5. Getting and Setting Parameters", "Pages/Page_55582677.html", "PageId_55582684");

// 9.6. Thread-Local Storage
  objTOC.addItem("ID_55582677", 1, "9.6. Thread-Local Storage", "Pages/Page_55582677.html", "PageId_55582687");

// 9.7. Synchronization Objects
  objTOC.addItem("ID_55582677", 1, "9.7. Synchronization Objects", "Pages/Page_55582677.html", "PageId_55582688");

// 9.7.1. Critical Sections
  objTOC.addItem("ID_55582677", 2, "9.7.1. Critical Sections", "Pages/Page_55582677.html", "PageId_55582689");

// 9.7.1.1. Thread Priority Inversion
  objTOC.addItem("ID_55582677", 3, "9.7.1.1. Thread Priority Inversion", "Pages/Page_55582677.html", "PageId_55582690");

// 9.7.2. Mutexes
  objTOC.addItem("ID_55582677", 2, "9.7.2. Mutexes", "Pages/Page_55582677.html", "PageId_55582691");

// 9.7.3. Events
  objTOC.addItem("ID_55582677", 2, "9.7.3. Events", "Pages/Page_55582677.html", "PageId_55582692");

// 9.7.3.1. Light Events
  objTOC.addItem("ID_55582677", 3, "9.7.3.1. Light Events", "Pages/Page_55582677.html", "PageId_55582693");

// 9.7.4. Semaphores
  objTOC.addItem("ID_55582677", 2, "9.7.4. Semaphores", "Pages/Page_55582677.html", "PageId_55582694");

// 9.7.4.1. Light Semaphores
  objTOC.addItem("ID_55582677", 3, "9.7.4.1. Light Semaphores", "Pages/Page_55582677.html", "PageId_55582695");

// 9.7.5. Blocking Queues
  objTOC.addItem("ID_55582677", 2, "9.7.5. Blocking Queues", "Pages/Page_55582677.html", "PageId_55582696");

// 9.7.6. Light Barriers
  objTOC.addItem("ID_55582677", 2, "9.7.6. Light Barriers", "Pages/Page_55582677.html", "PageId_55582697");

// 9.7.7. Deadlocks
  objTOC.addItem("ID_55582677", 2, "9.7.7. Deadlocks", "Pages/Page_55582677.html", "PageId_55582698");

// 9.8. Upper Limit of Resources
  objTOC.addItem("ID_55582677", 1, "9.8. Upper Limit of Resources", "Pages/Page_55582677.html", "PageId_55582699");

// 10. Sound
  objTOC.addHeader("ID_55582700", 0, "10. Sound", "Pages/Page_55582700.html", "");

// 10.1. Initialization
  objTOC.addItem("ID_55582700", 1, "10.1. Initialization", "Pages/Page_55582700.html", "PageId_55582701");

// 10.1.1. Setting the Number of Output Buffers
  objTOC.addItem("ID_55582700", 2, "10.1.1. Setting the Number of Output Buffers", "Pages/Page_55582700.html", "PageId_55582702");

// 10.2. Allocating Voice Objects
  objTOC.addItem("ID_55582700", 1, "10.2. Allocating Voice Objects", "Pages/Page_55582700.html", "PageId_55582703");

// 10.2.1. Dropped-Voice Mode
  objTOC.addItem("ID_55582700", 2, "10.2.1. Dropped-Voice Mode", "Pages/Page_55582700.html", "PageId_55582704");

// 10.3. Setting Sound Source Data Information
  objTOC.addItem("ID_55582700", 1, "10.3. Setting Sound Source Data Information", "Pages/Page_55582700.html", "PageId_55582705");

// 10.4. Creating Sound Threads
  objTOC.addItem("ID_55582700", 1, "10.4. Creating Sound Threads", "Pages/Page_55582700.html", "PageId_55582706");

// 10.5. Sound Playback
  objTOC.addItem("ID_55582700", 1, "10.5. Sound Playback", "Pages/Page_55582700.html", "PageId_55582707");

// 10.5.1. Sound Output Mode
  objTOC.addItem("ID_55582700", 2, "10.5.1. Sound Output Mode", "Pages/Page_55582700.html", "PageId_55582722");

// 10.5.1.1. Mono
  objTOC.addItem("ID_55582700", 3, "10.5.1.1. Mono", "Pages/Page_55582700.html", "PageId_55582723");

// 10.5.1.2. Stereo
  objTOC.addItem("ID_55582700", 3, "10.5.1.2. Stereo", "Pages/Page_55582700.html", "PageId_55582724");

// 10.5.1.3. Surround
  objTOC.addItem("ID_55582700", 3, "10.5.1.3. Surround", "Pages/Page_55582700.html", "PageId_55582725");

// 10.5.2. Headphone Connection State
  objTOC.addItem("ID_55582700", 2, "10.5.2. Headphone Connection State", "Pages/Page_55582700.html", "PageId_55582726");

// 10.5.3. Getting the Output Audio Data
  objTOC.addItem("ID_55582700", 2, "10.5.3. Getting the Output Audio Data", "Pages/Page_55582700.html", "PageId_55582727");

// 10.5.4. Encoding to DSP ADPCM Format
  objTOC.addItem("ID_55582700", 2, "10.5.4. Encoding to DSP ADPCM Format", "Pages/Page_55582700.html", "PageId_55582728");

// 10.5.5. Decoding From DSP ADPCM Format
  objTOC.addItem("ID_55582700", 2, "10.5.5. Decoding From DSP ADPCM Format", "Pages/Page_55582700.html", "PageId_55582729");

// 10.5.6. Converting Between Sample Positions and Nibbles
  objTOC.addItem("ID_55582700", 2, "10.5.6. Converting Between Sample Positions and Nibbles", "Pages/Page_55582700.html", "PageId_55582730");

// 10.5.7. Sound Output When the System Is Closed and Sleep Is Rejected
  objTOC.addItem("ID_55582700", 2, "10.5.7. Sound Output When the System Is Closed and Sleep Is Rejected", "Pages/Page_55582700.html", "PageId_55582731");

// 10.5.8. Source of Noise and Countermeasures
  objTOC.addItem("ID_55582700", 2, "10.5.8. Source of Noise and Countermeasures", "Pages/Page_55582700.html", "PageId_55582732");

// 10.5.8.1. A buzzing noise comes from the speaker
  objTOC.addItem("ID_55582700", 3, "10.5.8.1. A buzzing noise comes from the speaker", "Pages/Page_55582700.html", "PageId_55582733");

// 10.5.8.2. A mechanical buzzing noise comes from the speaker
  objTOC.addItem("ID_55582700", 3, "10.5.8.2. A mechanical buzzing noise comes from the speaker", "Pages/Page_55582700.html", "PageId_55582734");

// 10.5.8.3. Light static sound is superimposed on the playback
  objTOC.addItem("ID_55582700", 3, "10.5.8.3. Light static sound is superimposed on the playback", "Pages/Page_55582700.html", "PageId_55582735");

// 10.5.8.4. A snapping or popping noise is heard from the earphone under certain circumstances
  objTOC.addItem("ID_55582700", 3, "10.5.8.4. A snapping or popping noise is heard from the earphone under certain circumstances", "Pages/Page_55582700.html", "PageId_55582736");

// 10.6. Reusing Sound Source Data Information
  objTOC.addItem("ID_55582700", 1, "10.6. Reusing Sound Source Data Information", "Pages/Page_55582700.html", "PageId_55582737");

// 10.7. Releasing Voice Objects
  objTOC.addItem("ID_55582700", 1, "10.7. Releasing Voice Objects", "Pages/Page_55582700.html", "PageId_55582738");

// 10.8. Finalizing
  objTOC.addItem("ID_55582700", 1, "10.8. Finalizing", "Pages/Page_55582700.html", "PageId_55582739");

// 11. System Settings
  objTOC.addHeader("ID_55582740", 0, "11. System Settings", "Pages/Page_55582740.html", "");

// 11.1. Initialization
  objTOC.addItem("ID_55582740", 1, "11.1. Initialization", "Pages/Page_55582740.html", "PageId_55582741");

// 11.2. Getting Information
  objTOC.addItem("ID_55582740", 1, "11.2. Getting Information", "Pages/Page_55582740.html", "PageId_55582742");

// 11.2.1. User Name
  objTOC.addItem("ID_55582740", 2, "11.2.1. User Name", "Pages/Page_55582740.html", "PageId_55582743");

// 11.2.2. Birthday
  objTOC.addItem("ID_55582740", 2, "11.2.2. Birthday", "Pages/Page_55582740.html", "PageId_55582744");

// 11.2.3. Country Code
  objTOC.addItem("ID_55582740", 2, "11.2.3. Country Code", "Pages/Page_55582740.html", "PageId_55582745");

// 11.2.4. Language Code
  objTOC.addItem("ID_55582740", 2, "11.2.4. Language Code", "Pages/Page_55582740.html", "PageId_55582746");

// 11.2.5. Simple Address Information
  objTOC.addItem("ID_55582740", 2, "11.2.5. Simple Address Information", "Pages/Page_55582740.html", "PageId_55582747");

// 11.2.5.1. Simple Address Information ID
  objTOC.addItem("ID_55582740", 3, "11.2.5.1. Simple Address Information ID", "Pages/Page_55582740.html", "PageId_55582748");

// 11.2.5.2. Getting the Simple Address Information From the ID
  objTOC.addItem("ID_55582740", 3, "11.2.5.2. Getting the Simple Address Information From the ID", "Pages/Page_55582740.html", "PageId_55582749");

// 11.2.5.3. Converting Simple Address Information IDs Between 3DS and Wii U
  objTOC.addItem("ID_55582740", 3, "11.2.5.3. Converting Simple Address Information IDs Between 3DS and Wii U", "Pages/Page_55582740.html", "PageId_55582750");

// 11.2.6. Region Codes
  objTOC.addItem("ID_55582740", 2, "11.2.6. Region Codes", "Pages/Page_55582740.html", "PageId_55582751");

// 11.2.7. Sound Output Mode
  objTOC.addItem("ID_55582740", 2, "11.2.7. Sound Output Mode", "Pages/Page_55582740.html", "PageId_55582752");

// 11.2.8. RTC Modification Offset Value
  objTOC.addItem("ID_55582740", 2, "11.2.8. RTC Modification Offset Value", "Pages/Page_55582740.html", "PageId_55582753");

// 11.2.9. Parental Controls
  objTOC.addItem("ID_55582740", 2, "11.2.9. Parental Controls", "Pages/Page_55582740.html", "PageId_55582754");

// 11.2.9.1. Temporarily Suspending Parental Controls by Entering a PIN
  objTOC.addItem("ID_55582740", 3, "11.2.9.1. Temporarily Suspending Parental Controls by Entering a PIN", "Pages/Page_55582740.html", "PageId_55582755");

// 11.2.9.2. Restrictions on the Transmission of Data That May Include Personal Information
  objTOC.addItem("ID_55582740", 3, "11.2.9.2. Restrictions on the Transmission of Data That May Include Personal Information", "Pages/Page_55582740.html", "PageId_55582756");

// 11.2.9.3. Restrictions on Adding Friends
  objTOC.addItem("ID_55582740", 3, "11.2.9.3. Restrictions on Adding Friends", "Pages/Page_55582740.html", "PageId_55582757");

// 11.2.9.4. Restrictions on Internet Communication With Other Users
  objTOC.addItem("ID_55582740", 3, "11.2.9.4. Restrictions on Internet Communication With Other Users", "Pages/Page_55582740.html", "PageId_55582758");

// 11.2.9.5. Restrictions on Communication via StreetPass
  objTOC.addItem("ID_55582740", 3, "11.2.9.5. Restrictions on Communication via StreetPass", "Pages/Page_55582740.html", "PageId_55582759");

// 11.2.9.6. Restrictions on Nintendo 3DS Shopping Services
  objTOC.addItem("ID_55582740", 3, "11.2.9.6. Restrictions on Nintendo 3DS Shopping Services", "Pages/Page_55582740.html", "PageId_55582760");

// 11.2.9.7. Miiverse Restrictions
  objTOC.addItem("ID_55582740", 3, "11.2.9.7. Miiverse Restrictions", "Pages/Page_55582740.html", "PageId_55582761");

// 11.2.9.8. Restriction of Video Content Acquired Through Communication
  objTOC.addItem("ID_55582740", 3, "11.2.9.8. Restriction of Video Content Acquired Through Communication", "Pages/Page_55582740.html", "PageId_55582762");

// 11.2.10. Checking for EULA Acceptance
  objTOC.addItem("ID_55582740", 2, "11.2.10. Checking for EULA Acceptance", "Pages/Page_55582740.html", "PageId_55582763");

// 11.2.11. System-Specific ID
  objTOC.addItem("ID_55582740", 2, "11.2.11. System-Specific ID", "Pages/Page_55582740.html", "PageId_55582764");

// 11.2.12. Restrictions Based on COPPACS
  objTOC.addItem("ID_55582740", 2, "11.2.12. Restrictions Based on COPPACS", "Pages/Page_55582740.html", "PageId_55582765");

// 11.3. Finalizing
  objTOC.addItem("ID_55582740", 1, "11.3. Finalizing", "Pages/Page_55582740.html", "PageId_55582766");

// 12. Applets
  objTOC.addHeader("ID_70418367", 0, "12. Applets", "Pages/Page_70418367.html", "");

// 12.1. Library Applets
  objTOC.addItem("ID_70418367", 1, "12.1. Library Applets", "Pages/Page_70418367.html", "PageId_55582768");

// 12.1.1. Information Common to All Library Applets
  objTOC.addItem("ID_70418367", 2, "12.1.1. Information Common to All Library Applets", "Pages/Page_70418367.html", "PageId_55582769");

// 12.1.1.1. Recovering From Library Applets
  objTOC.addItem("ID_70418367", 3, "12.1.1.1. Recovering From Library Applets", "Pages/Page_70418367.html", "PageId_55582770");

// 12.1.1.2. Preloading
  objTOC.addItem("ID_70418367", 3, "12.1.1.2. Preloading", "Pages/Page_70418367.html", "PageId_55582771");

// 12.1.2. Software Keyboard Applet
  objTOC.addItem("ID_70418367", 2, "12.1.2. Software Keyboard Applet", "Pages/Page_70418367.html", "PageId_55582772");

// 12.1.3. Photo Selection Applet
  objTOC.addItem("ID_70418367", 2, "12.1.3. Photo Selection Applet", "Pages/Page_70418367.html", "PageId_55582773");

// 12.1.4. Mii Selection Applet
  objTOC.addItem("ID_70418367", 2, "12.1.4. Mii Selection Applet", "Pages/Page_70418367.html", "PageId_55582774");

// 12.1.5. Sound Selection Applet
  objTOC.addItem("ID_70418367", 2, "12.1.5. Sound Selection Applet", "Pages/Page_70418367.html", "PageId_55582775");

// 12.1.6. Error/EULA Applet
  objTOC.addItem("ID_70418367", 2, "12.1.6. Error/EULA Applet", "Pages/Page_70418367.html", "PageId_55582776");

// 12.1.7. Circle Pad Pro Calibration Applet
  objTOC.addItem("ID_70418367", 2, "12.1.7. Circle Pad Pro Calibration Applet", "Pages/Page_70418367.html", "PageId_55582777");

// 12.1.8. EC Applet
  objTOC.addItem("ID_70418367", 2, "12.1.8. EC Applet", "Pages/Page_70418367.html", "PageId_55582778");

// 12.1.9. Login Applet
  objTOC.addItem("ID_70418367", 2, "12.1.9. Login Applet", "Pages/Page_70418367.html", "PageId_97485649");

// 12.2. System Applets
  objTOC.addItem("ID_70418367", 1, "12.2. System Applets", "Pages/Page_70418367.html", "PageId_71303276");

// 12.2.1. Internet Browser Applet
  objTOC.addItem("ID_70418367", 2, "12.2.1. Internet Browser Applet", "Pages/Page_70418367.html", "PageId_55582793");

// 12.2.2. Miiverse Application and Post App
  objTOC.addItem("ID_70418367", 2, "12.2.2. Miiverse Application and Post App", "Pages/Page_70418367.html", "PageId_68586017");

// 12.2.2.1. Starting an Application From the Miiverse Post Page
  objTOC.addItem("ID_70418367", 3, "12.2.2.1. Starting an Application From the Miiverse Post Page", "Pages/Page_70418367.html", "PageId_70405380");

// 13. Supplemental Libraries
  objTOC.addHeader("ID_55582779", 0, "13. Supplemental Libraries", "Pages/Page_55582779.html", "");

// 13.1. PTM Library
  objTOC.addItem("ID_55582779", 1, "13.1. PTM Library", "Pages/Page_55582779.html", "PageId_55582780");

// 13.1.1. Initializing and Finalizing
  objTOC.addItem("ID_55582779", 2, "13.1.1. Initializing and Finalizing", "Pages/Page_55582779.html", "PageId_55582781");

// 13.1.2. Getting Power-Related Information
  objTOC.addItem("ID_55582779", 2, "13.1.2. Getting Power-Related Information", "Pages/Page_55582779.html", "PageId_55582782");

// 13.1.3. Alarms Using the RTC
  objTOC.addItem("ID_55582779", 2, "13.1.3. Alarms Using the RTC", "Pages/Page_55582779.html", "PageId_55582783");

// 13.2. PL Library
  objTOC.addItem("ID_55582779", 1, "13.2. PL Library", "Pages/Page_55582779.html", "PageId_55582784");

// 13.2.1. Pedometer
  objTOC.addItem("ID_55582779", 2, "13.2.1. Pedometer", "Pages/Page_55582779.html", "PageId_55582785");

// 13.2.2. System Fonts
  objTOC.addItem("ID_55582779", 2, "13.2.2. System Fonts", "Pages/Page_55582779.html", "PageId_55582786");

// 13.2.2.1. Loading System Fonts
  objTOC.addItem("ID_55582779", 3, "13.2.2.1. Loading System Fonts", "Pages/Page_55582779.html", "PageId_55582787");

// 13.2.2.2. Using Font Data
  objTOC.addItem("ID_55582779", 3, "13.2.2.2. Using Font Data", "Pages/Page_55582779.html", "PageId_55582788");

// 13.2.3. Play Coins
  objTOC.addItem("ID_55582779", 2, "13.2.3. Play Coins", "Pages/Page_55582779.html", "PageId_55582789");

// 13.2.3.1. Initializing and Finalizing
  objTOC.addItem("ID_55582779", 3, "13.2.3.1. Initializing and Finalizing", "Pages/Page_55582779.html", "PageId_55582790");

// 13.2.3.2. Getting the Number of Play Coins Held
  objTOC.addItem("ID_55582779", 3, "13.2.3.2. Getting the Number of Play Coins Held", "Pages/Page_55582779.html", "PageId_55582791");

// 13.2.3.3. Spending Play Coins
  objTOC.addItem("ID_55582779", 3, "13.2.3.3. Spending Play Coins", "Pages/Page_55582779.html", "PageId_55582792");

// 14. Infrared Communication Between Systems
  objTOC.addHeader("ID_55582794", 0, "14. Infrared Communication Between Systems", "Pages/Page_55582794.html", "");

// 14.1. nn::ir::Communicator Class
  objTOC.addItem("ID_55582794", 1, "14.1. nn::ir::Communicator Class", "Pages/Page_55582794.html", "PageId_55582795");

// 14.1.1. Security
  objTOC.addItem("ID_55582794", 2, "14.1.1. Security", "Pages/Page_55582794.html", "PageId_55582796");

// 14.1.2. Packets
  objTOC.addItem("ID_55582794", 2, "14.1.2. Packets", "Pages/Page_55582794.html", "PageId_55582797");

// 14.1.3. Support for Sleep Mode
  objTOC.addItem("ID_55582794", 2, "14.1.3. Support for Sleep Mode", "Pages/Page_55582794.html", "PageId_55582798");

// 14.1.4. Communication Range
  objTOC.addItem("ID_55582794", 2, "14.1.4. Communication Range", "Pages/Page_55582794.html", "PageId_55582799");

// 14.2. Initialization
  objTOC.addItem("ID_55582794", 1, "14.2. Initialization", "Pages/Page_55582794.html", "PageId_55582800");

// 14.2.1. Buffer Passed to the Library
  objTOC.addItem("ID_55582794", 2, "14.2.1. Buffer Passed to the Library", "Pages/Page_55582794.html", "PageId_55582801");

// 14.2.1.1. Reserved Region
  objTOC.addItem("ID_55582794", 3, "14.2.1.1. Reserved Region", "Pages/Page_55582794.html", "PageId_55582802");

// 14.2.1.2. Send and Receive Packet Management Region
  objTOC.addItem("ID_55582794", 3, "14.2.1.2. Send and Receive Packet Management Region", "Pages/Page_55582794.html", "PageId_55582803");

// 14.2.1.3. Send and Receive Packet Save Region
  objTOC.addItem("ID_55582794", 3, "14.2.1.3. Send and Receive Packet Save Region", "Pages/Page_55582794.html", "PageId_55582804");

// 14.3. Connections
  objTOC.addItem("ID_55582794", 1, "14.3. Connections", "Pages/Page_55582794.html", "PageId_55582805");

// 14.3.1. Connecting Automatically
  objTOC.addItem("ID_55582794", 2, "14.3.1. Connecting Automatically", "Pages/Page_55582794.html", "PageId_55582806");

// 14.3.2. Connection Roles
  objTOC.addItem("ID_55582794", 2, "14.3.2. Connection Roles", "Pages/Page_55582794.html", "PageId_55582807");

// 14.4. Confirming the Communication ID
  objTOC.addItem("ID_55582794", 1, "14.4. Confirming the Communication ID", "Pages/Page_55582794.html", "PageId_55582808");

// 14.5. Transmission
  objTOC.addItem("ID_55582794", 1, "14.5. Transmission", "Pages/Page_55582794.html", "PageId_55582809");

// 14.6. Receipt
  objTOC.addItem("ID_55582794", 1, "14.6. Receipt", "Pages/Page_55582794.html", "PageId_55582810");

// 14.7. Getting the Connection Status
  objTOC.addItem("ID_55582794", 1, "14.7. Getting the Connection Status", "Pages/Page_55582794.html", "PageId_55582811");

// 14.7.1. Handling Faults
  objTOC.addItem("ID_55582794", 2, "14.7.1. Handling Faults", "Pages/Page_55582794.html", "PageId_55582812");

// 14.8. Disconnecting
  objTOC.addItem("ID_55582794", 1, "14.8. Disconnecting", "Pages/Page_55582794.html", "PageId_55582813");

// 14.9. Finalization
  objTOC.addItem("ID_55582794", 1, "14.9. Finalization", "Pages/Page_55582794.html", "PageId_55582814");

// 15. Differences Between TWL Mode and Actual TWL Systems
  objTOC.addHeader("ID_55582815", 0, "15. Differences Between TWL Mode and Actual TWL Systems", "Pages/Page_55582815.html", "");

// 15.1. Display-Related Differences
  objTOC.addItem("ID_55582815", 1, "15.1. Display-Related Differences", "Pages/Page_55582815.html", "PageId_55582816");

// 15.1.1. LCD
  objTOC.addItem("ID_55582815", 2, "15.1.1. LCD", "Pages/Page_55582815.html", "PageId_55582817");

// 15.2. Input-Related Differences
  objTOC.addItem("ID_55582815", 1, "15.2. Input-Related Differences", "Pages/Page_55582815.html", "PageId_55582818");

// 15.2.1. Touch Panel
  objTOC.addItem("ID_55582815", 2, "15.2.1. Touch Panel", "Pages/Page_55582815.html", "PageId_55582819");

// 15.2.2. Key Input
  objTOC.addItem("ID_55582815", 2, "15.2.2. Key Input", "Pages/Page_55582815.html", "PageId_55582820");

// 15.2.3. Closing the System
  objTOC.addItem("ID_55582815", 2, "15.2.3. Closing the System", "Pages/Page_55582815.html", "PageId_55582821");

// 15.2.4. Sound Volume
  objTOC.addItem("ID_55582815", 2, "15.2.4. Sound Volume", "Pages/Page_55582815.html", "PageId_55582822");

// 15.3. Operating System Differences
  objTOC.addItem("ID_55582815", 1, "15.3. Operating System Differences", "Pages/Page_55582815.html", "PageId_55582823");

// 15.3.1. Reset and Shutdown
  objTOC.addItem("ID_55582815", 2, "15.3.1. Reset and Shutdown", "Pages/Page_55582815.html", "PageId_55582824");

// 15.3.2. Application Jumps
  objTOC.addItem("ID_55582815", 2, "15.3.2. Application Jumps", "Pages/Page_55582815.html", "PageId_55582825");

// 15.4. System Settings-Related Differences
  objTOC.addItem("ID_55582815", 1, "15.4. System Settings-Related Differences", "Pages/Page_55582815.html", "PageId_55582826");

// 15.4.1. Region Codes
  objTOC.addItem("ID_55582815", 2, "15.4.1. Region Codes", "Pages/Page_55582815.html", "PageId_55582827");

// 15.4.2. Country Setting
  objTOC.addItem("ID_55582815", 2, "15.4.2. Country Setting", "Pages/Page_55582815.html", "PageId_55582828");

// 15.4.3. Language Setting
  objTOC.addItem("ID_55582815", 2, "15.4.3. Language Setting", "Pages/Page_55582815.html", "PageId_55582829");

// 16. Appendix: Process Flows for Using the Circle Pad Pro
  objTOC.addHeader("ID_55582830", 0, "16. Appendix: Process Flows for Using the Circle Pad Pro", "Pages/Page_55582830.html", "");

// 16.1. Process Flow for Initial Startup
  objTOC.addItem("ID_55582830", 1, "16.1. Process Flow for Initial Startup", "Pages/Page_55582830.html", "PageId_55582831");

// 16.2. Process Flow for Normal-Usage Startup
  objTOC.addItem("ID_55582830", 1, "16.2. Process Flow for Normal-Usage Startup", "Pages/Page_55582830.html", "PageId_55582833");

// 16.3. Process Flow for Detecting the Circle Pad Pro
  objTOC.addItem("ID_55582830", 1, "16.3. Process Flow for Detecting the Circle Pad Pro", "Pages/Page_55582830.html", "PageId_55582834");

// 16.4. Options Screen Process Flows
  objTOC.addItem("ID_55582830", 1, "16.4. Options Screen Process Flows", "Pages/Page_55582830.html", "PageId_55582835");

// 16.4.1. Transition to Enabling the Circle Pad Pro
  objTOC.addItem("ID_55582830", 2, "16.4.1. Transition to Enabling the Circle Pad Pro", "Pages/Page_55582830.html", "PageId_55582836");

// 16.4.2. Process Flow for Disconnecting the Circle Pad Pro
  objTOC.addItem("ID_55582830", 2, "16.4.2. Process Flow for Disconnecting the Circle Pad Pro", "Pages/Page_55582830.html", "PageId_55582837");

// 16.5. Process Flow for Using the Circle Pad Pro
  objTOC.addItem("ID_55582830", 1, "16.5. Process Flow for Using the Circle Pad Pro", "Pages/Page_55582830.html", "PageId_55582838");

// 17. Appendix: Testing the Operations of CTR Titles on SNAKE
  objTOC.addHeader("ID_79043477", 0, "17. Appendix: Testing the Operations of CTR Titles on SNAKE", "Pages/Page_79043477.html", "");

  objTOC.addGuidelineSection("HISTORY", 0, "Revision History", "history.html", "");

  objTOC.processTreeData();
  Reassemble.objectTocData = objTOC;
}
